<?php

namespace Appweb\Http\Controllers;

use Illuminate\Http\Request;

use Appweb\Http\Requests;
use Appweb\Http\Controllers\Controller;
use Appweb\Empresa;
use Appweb\Loja;
use Input;

class EmpresaController extends Controller
{
    private $empresa;
    private $loja;

    public function __construct(Empresa $empresa, Loja $loja)
    {
        view()->share(['modulo'=>'Empresa']);
        $this->empresa = $empresa;
        $this->loja = $loja;

    }

    public function index(Request $request)
    {

        $empresa = $this->empresa->first();
        // dd($empresa);
        // $lojas = Loja::all()->pluck('Nome', 'ID')->toArray();
        return view('pages.empresa', compact(
           "empresa"
        ));

    }

    public function adicionar()
    {

        return view('painel.adicionar');            

    }

    public function salvar(Request $request) 
    {
        // dd($request->all());
        $regras = array(
            // 'razao_social' => 'required',
            'nome_fantasia' => 'required',
            // 'cnpj' => 'required',
            // 'inscricao_estadual' => 'required',
            // 'telefone' => 'required',
            // 'email' => 'required',
            // 'responsavel' => 'required',
            // 'Loja' => 'required',
            );
        $mensagens = array(
            // 'razao_social.unique' => 'Preencher Razão Social.',
            'nome_fantasia.required' => 'Prencher Nome Fantasia',
            // 'cnpj.required' => 'Preencher CNPJ',
            // // 'inscricao_estadual.required' => 'Preencher Inscrição Estadual',
            // 'telefone.required' => 'Preencher Telefone',
            // 'email.required' => 'Preencher Email',
            // 'responsavel.required' => 'Preencher Responsável',
            // 'Loja.required' => 'Selecionar Loja',
            );

        $validate = $this->validate($request,$regras,$mensagens);
        
        if ($request->hasFile('logo')) {
            $logo = $request->file('logo');
            $destinationPath = public_path('/img');
            $fileName = 'logo-oficial-1.'.$logo->getClientOriginalExtension();            
            var_dump($logo->move($destinationPath, $fileName));
        }
        
        $empresa = new $this->empresa;
        $empresa->razao_social = $request->input("razao_social");
        $empresa->nome_fantasia = $request->input("nome_fantasia");
        $empresa->cnpj = $request->input("cnpj");
        $empresa->inscricao_estadual = $request->input("inscricao_estadual");
        $empresa->logradouro = $request->input("logradouro");
        $empresa->pontoreferencia = $request->input("pontoreferencia");
        $empresa->bairro = $request->input("bairro");
        $empresa->cep = $request->input("cep");
        $empresa->cidade = $request->input("cidade");
        $empresa->estado = $request->input("estado");
        $empresa->telefone = $request->input("telefone");
        $empresa->celular = $request->input("celular");
        $empresa->email = $request->input("email");
        $empresa->responsavel = $request->input("responsavel");
        $empresa->descricao = $request->input("descricao");
        $empresa->garantia = $request->input("garantia");
        $empresa->redesocial1 = $request->input("redesocial1");
        $empresa->redesocial2 = $request->input("redesocial2");
        $empresa->redesocial3 = $request->input("redesocial3");
        $empresa->redesocial4 = $request->input("redesocial4");
        $empresa->status = 1;
        $empresa->save();
        
        return redirect()->route("ferramentas.empresa");

    }

    public function atualizar(Request $request, $id="")
    {

        $regras = array(
            // 'razao_social' => 'required',
            'nome_fantasia' => 'required',
            // 'cnpj' => 'required',
            // 'inscricao_estadual' => 'required',
            // 'telefone' => 'required',
            // 'email' => 'required',
            // 'responsavel' => 'required',
            // 'Loja' => 'required',
            );
        $mensagens = array(
            // 'razao_social.unique' => 'Preencher Razão Social.',
            'nome_fantasia.required' => 'Prencher Nome Fantasia',
            // 'cnpj.required' => 'Preencher CNPJ',
            // 'inscricao_estadual.required' => 'Preencher Inscrição Estadual',
            // 'telefone.required' => 'Preencher Telefone',
            // 'email.required' => 'Preencher Email',
            // 'responsavel.required' => 'Preencher Responsável',
            // 'Loja.required' => 'Selecionar Loja',
            );

        $this->validate($request,$regras,$mensagens);
        
        if ($request->hasFile('logo')) {
            $logo = $request->file('logo');
            $destinationPath = public_path('/img');
            $fileName = 'logo-oficial-1.'.$logo->getClientOriginalExtension();            
            var_dump($logo->move($destinationPath, $fileName));
        }
        
        $empresa = $this->empresa->find($id);
        $empresa->razao_social = $request->input("razao_social");
        $empresa->nome_fantasia = $request->input("nome_fantasia");
        $empresa->cnpj = $request->input("cnpj");
        $empresa->inscricao_estadual = $request->input("inscricao_estadual");
        $empresa->logradouro = $request->input("logradouro");
        $empresa->pontoreferencia = $request->input("pontoreferencia");
        $empresa->bairro = $request->input("bairro");
        $empresa->cep = $request->input("cep");
        $empresa->cidade = $request->input("cidade");
        $empresa->estado = $request->input("estado");
        $empresa->telefone = $request->input("telefone");
        $empresa->celular = $request->input("celular");
        $empresa->email = $request->input("email");
        $empresa->responsavel = $request->input("responsavel");
        $empresa->descricao = $request->input("descricao");
        $empresa->garantia = $request->input("garantia");
        $empresa->redesocial1 = $request->input("redesocial1");
        $empresa->redesocial2 = $request->input("redesocial2");
        $empresa->redesocial3 = $request->input("redesocial3");
        $empresa->redesocial4 = $request->input("redesocial4");
        $empresa->save();

        return redirect("ferramentas/empresa");

    }
    
}
