<?php

namespace Appweb\Http\Controllers;

use Illuminate\Http\Request;

use Appweb\Http\Requests;
use Appweb\Http\Controllers\Controller;

use Appweb\Libraries\Util;
use Appweb\OrdemServico;
use Appweb\OrdemServicoItem;
use Appweb\Cliente;
use Appweb\Cidade;
use Appweb\Estado;
use Appweb\Empresa;
use DB;

class OrdensDeServicosController extends Controller
{

    private $servico;

    public function __construct(OrdemServico $servico)
    {
        $this->servico       = $servico;
    }
    /**
     * Display a listing of the resource.
     *
     * @return Response
     */
    public function index(Request $request)
    {
                
        if ($request->has('datainicial') && $request->has('datafinal')) {

            $busca = OrdemServico::whereRaw("
                    date(data) between '{$request->datainicial}' and '{$request->datafinal}'
                ")
                ->orderBy('id', 'desc')
                ->paginate(15);

        } else {

            if ($request->has('busca')) {

                $busca = OrdemServico::select(DB::raw('*, ordens_de_servicos.*'))
                        ->where('ordens_de_servicos.id', intval($request->busca))
                        ->join('clientes', 'ordens_de_servicos.cliente_id', '=', 'clientes.id')
                    // ->where(function($q) {
                    //     $q->where('ordens_de_servicos.id', $request->busca);
                    //     $q->where('clientes.nome', 'like', '%'.$request->busca.'%');
                    //     $q->where('ordens_de_servicos.observacoes', 'like', '%'.$request->busca.'%');
                    // })
                    ->orWhere('ordens_de_servicos.observacoes', 'like', '%'.$request->busca.'%')
                    ->orWhere('clientes.nome', 'like', '%'.$request->busca.'%')
                    ->orderBy('ordens_de_servicos.id', 'desc')
                    ->paginate(15);
                    // ->toSql();
                // dd($busca);

            } else {

                $busca = OrdemServico::whereRaw('date(data) = CURRENT_DATE')
                    ->orderBy('id', 'desc')
                    ->paginate(15);
                
            }

        }
        // dd($busca);
        return view('pages.ordensdeservicos.index', compact('busca'))
            ->with("modulo", "Ordens de Serviço");

    }

    public function os($tipo="") 
    {
        $clientes = Cliente::lists('nome', 'id')->toArray();
        $cidades = Cidade::where('estado', 'PE')->lists('nome', 'codigo')->toArray();
        $estados = Estado::orderBy('nome')->lists('nome', 'codigo')->toArray();
        return view('pages.ordensdeservicos.technos', compact(
            'clientes', 
            'cidades', 
            'estados'))
            ->with("modulo", "Ordem de Serviço")
            ->with('tela', 'servicos');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  Request  $request
     * @return Response
     */
    public function store(Request $request, $tipo="")
    {
        // dd($request);
        // return count($request->servico_valor);
        // if ($request->has('retorno')) {
        //     dd($request->retorno);
        // } else {
        //     return $request->retorno;
        // }
        // dd($request->servico_valor);
        // return count($request->servico_gratuito);
        $regras = [
            'cliente' => 'required',
            'observacoes' => 'required',
            ];
        $mensagens = [
            'cliente.required' => 'Informe o Cliente',
            'observacoes.required' => 'Informe as Descrições do Serviço',
            ];
        $this->validate($request,$regras,$mensagens);
        $os = new $this->servico;
        $os->data               = $request->data;
        $os->data_entrega       = $request->data_entrega;
        $os->data_compra        = $request->data_compra;
        $os->nf                 = $request->nf;
        $os->marca              = $request->marca;
        $os->referencia         = $request->referencia;
        $os->pulseira           = $request->pulseira;
        $os->quantidade_itens   = $request->quantidade;
        $os->total              = Util::toFloat($request->total);
        $os->retorno            = ($request->has('retorno')) ? 1 : 0;
        $os->garantia           = ($request->has('garantia')) ? 1 : 0;
        $os->cliente_id         = $request->cliente;
        $os->vendedor_id        = auth()->user()->id;
        $os->observacoes        = $request->observacoes;
        $os->save();

        if ($request->has('retorno') || $request->has('garantia')) {
            $os->total = 0;
            $os->save();
        } 

        // dd($os);
        return redirect()->route('os.sucesso', ['os'=>$os->id, 'tipo'=>'technos']);

    }

    public function sucesso($os='', $tipo='')
    {

        $os = $this->servico->with('cliente')->find($os);
        // $cliente = Cliente::find($os->cliente_id);
        // $cidade = Cidade::where('codigo', $cliente->cidade)->first();
        // $estado = Estado::where('codigo', $cliente->estado)->first();
        // dd($os->cliente->cidade_cliente->nome);
        $empresa = Empresa::first();
        if ($os->count() > 0) {
            return view('pages.ordensdeservicos.sucesso', compact('os', 'empresa'));
        }

    }

    public function listarItens(Request $request)
    {
        
        $os         = $this->servico->with('itens', 'cliente', 'vendedor')->find($request->os);
        $cliente    = Cliente::find($os->cliente);
        return view('pages.ordensdeservicos.detalhar', compact('os'));

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  Request  $request
     * @param  int  $id
     * @return Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return Response
     */
    public function destroy($id, $tipo="")
    {
        $os = $this->servico->find($id);
        $os->delete();
        return redirect()->back();
    }

}
