<?php

namespace Appweb;

use Illuminate\Database\Eloquent\Model;

class Parcela extends Model
{
    public $timestamps = false;
    protected $fillable = [
        'pedido_id',
        'pagamento_id',
        'promissoria_id', 
        'parcela',
        'documento',
        'vencimento',
        'quitacao',
        'valor',
        'valor_pago',
        'saldo',
    	'cliente_id', 
        'fornecedor_id',
        'status',
    	];

    public function promissoria()
    {
        
        return $this->belongsTo('Appweb\Promissoria', 'promissoria_id');

    }

    public function cliente()
    {
        
        return $this->belongsTo('Appweb\Cliente', 'cliente_id');

    }

    public function fornecedor()
    {
        
        return $this->hasOne('Appweb\Fornecedor', 'id', 'fornecedor_id');

    }

    public function pagamento()
    {
        
        return $this->belongsTo('Appweb\Pagamento', 'pagamento_id');

    }

}
