<?php

namespace Appweb;

use Illuminate\Database\Eloquent\Model;

class Promissoria extends Model
{
    protected $table = 'contas_receber';
    protected $fillable = [
    	'cliente_id', 
    	'pedido_id', 
    	'lancamento', 
        'emissao',
    	'total',
    	'status',
        'usuario_id'
    	];
    public $timestamps = false;

    public function parcelas()
    {
        
        return $this->hasMany('Appweb\Parcela');

    }

    public function usuario() {

        return $this->hasOne('Appweb\User', 'id', 'usuario_id');

    }

    public function cliente() {

        return $this->hasOne('Appweb\Cliente', 'id', 'cliente_id');

    }

    public function pedido_itens() {

        return $this->hasMany('Appweb\PedidoItem', 'pedido', 'pedido_id');

    }

    public function pedido() {

        return $this->hasOne('Appweb\Pedido', 'id', 'pedido_id');

    }

}
