<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AlterContasPagarTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('contas_pagar', function (Blueprint $table) {
            $table->renameColumn('valorpago', 'valor_pago');
            $table->string('tipo_pagamento')->nullable()->after('pagamento');
            $table->string('parcelas_conta')->nullable()->after('documento');
        });
        Schema::table('contas_pagar', function (Blueprint $table) {
            $table->string('parcelas_cartao')->nullable()->after('parcelas_conta');
            $table->string('bandeira_cartao')->nullable()->after('fornecedor_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('contas_pagar', function (Blueprint $table) {
            $table->renameColumn('valor_pago', 'valorpago');
            $table->dropColumn('tipo_pagamento');
            $table->dropColumn('parcelas_conta');
            $table->dropColumn('parcelas_cartao');
            $table->dropColumn('bandeira_cartao');
        });
    }
}
