<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateInsumosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('insumos', function (Blueprint $table) {
            $table->increments('id');
            $table->string('referencia', 13)->nullable();
            $table->string('codigobarra', 13)->nullable();
            $table->string('descricao', 255)->nullable();
            $table->string('unidade', 3)->nullable();
            $table->integer('categoria')->nullable();
            $table->integer('secao')->nullable();
            $table->integer('fornecedor')->nullable();
            $table->string('fabricante')->nullable();
            $table->integer('estoque')->nullable();
            $table->integer('ultimobalanco')->nullable();
            $table->double('valorcompra', 10,2)->nullable();
            $table->double('valor', 10,2)->nullable();
            $table->double('valor2', 10,2)->nullable();
            $table->double('valorprazo', 10,2)->nullable();
            $table->double('valorprazo2', 10,2)->nullable();
            $table->string('tipo', 20)->nullable();
            $table->double('tamanho', 10,2)->nullable();
            $table->integer('cor')->nullable();
            $table->text('observacoes')->nullable();
            $table->timestamps();
            $table->smallInteger('status')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('insumos');
    }
}
