	
	$.fn.delayKeyup = function(callback, ms){
		
		var timer = 0;
		var el = $(this);
		$(this).keyup(function(){                   
			clearTimeout (timer);
			timer = setTimeout(function(){
				callback(el);
					}, ms);
		});
		return $(this);
		
	}
	
	function number_format(number, decimals, dec_point, thousands_sep) {

		number = (number + '').replace(/[^0-9+\-Ee.]/g, '');
		var n = !isFinite(+number) ? 0 : +number,
			prec = !isFinite(+decimals) ? 0 : Math.abs(decimals),
			sep = (typeof thousands_sep === 'undefined') ? ',' : thousands_sep,
			dec = (typeof dec_point === 'undefined') ? '.' : dec_point,
			s = '',
			toFixedFix = function (n, prec) {
				var k = Math.pow(10, prec);
				return '' + Math.round(n * k) / k;
			};
		s = (prec ? toFixedFix(n, prec) : '' + Math.round(n)).split('.');
		if (s[0].length > 3) {
			s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);
		}
		if ((s[1] || '').length < prec) {
			s[1] = s[1] || '';
			s[1] += new Array(prec - s[1].length + 1).join('0');
		}
		return s.join(dec);

	}

	function loading() {

		$("div .box-loading").show();

	}

	function endLoading() {

		$("div .overlay2").remove();
		$("div .box-loading").remove();

	}

	function formataCPFCNPJ(cpfcnpj) {

		cpfcnpj = $.trim(cpfcnpj);
		cpfcnpj = cpfcnpj.replace(/[^\d]+/g,'');
		f 		= cpfcnpj;
		if (cpfcnpj.length == 11) {
			var f = cpfcnpj.substr(0,3)+"."+cpfcnpj.substr(3,3)+"."+cpfcnpj.substr(6,3)+"-"+cpfcnpj.substr(9,2);
		} 

		if (cpfcnpj.length == 14) {
			var f = cpfcnpj.substr(0,2)+"."+cpfcnpj.substr(2,3)+"."+cpfcnpj.substr(5,3)+"/"+cpfcnpj.substr(8,4)+"-"+cpfcnpj.substr(12,2);
		}
		return f;

	}

	function checarEmail(email) {

		tamanho = $.trim(email).length;
		if (IsEmail(email) && tamanho > 0) {
			return true;
		} else {
			return false;
		}

	}
	
	function checarCPFCNPJ(cpfcnpj) {

		if (cpfcnpj != '') {
			cpf  = validarCPF(cpfcnpj);
			cnpj = validarCNPJ(cpfcnpj);

			if ((cpf == false) && (cnpj == false)) {
				return false;
			} else {
				return true;
			}
		} else {
			return false;
		}

	}

	function validarCPF(cpf) {  

		cpf = cpf.replace(/[^\d]+/g,'');    
	    if(cpf == '') return false; 

	    // Elimina CPFs invalidos conhecidos    
	    if (cpf.length != 11 ||
	        cpf == "00000000000" ||
	        cpf == "11111111111" ||
	        cpf == "22222222222" ||
	        cpf == "33333333333" ||
	        cpf == "44444444444" ||
	        cpf == "55555555555" ||
	        cpf == "66666666666" ||
	        cpf == "77777777777" ||
	        cpf == "88888888888" ||
	        cpf == "99999999999")
	    return false;
	    
	    // Valida 1o digito 
	    add = 0;    
	    for (i=0; i < 9; i ++)       
	        add += parseInt(cpf.charAt(i)) * (10 - i);  

	    rev = 11 - (add % 11);  

	    if (rev == 10 || rev == 11)     
	        rev = 0;    

	    if (rev != parseInt(cpf.charAt(9)))     
	        return false;

	    // Valida 2o digito 
	    add = 0;    
	    for (i = 0; i < 10; i ++)        
	        add += parseInt(cpf.charAt(i)) * (11 - i);  

	    rev = 11 - (add % 11);  
	    
	    if (rev == 10 || rev == 11)     
	        rev = 0;    
	    
	    if (rev != parseInt(cpf.charAt(10)))        
	        return false;           
	    
	    return true;  

	}

	function validarCNPJ(cnpj) {
	 
	    cnpj = cnpj.replace(/[^\d]+/g,'');
	 
	    if(cnpj == '') 
	    	return false;
	     
	    if (cnpj.length != 14)
	        return false;
	 
	    // Elimina CNPJs invalidos conhecidos
	    if (cnpj == "00000000000000" ||
	        cnpj == "11111111111111" ||
	        cnpj == "22222222222222" ||
	        cnpj == "33333333333333" ||
	        cnpj == "44444444444444" ||
	        cnpj == "55555555555555" ||
	        cnpj == "66666666666666" ||
	        cnpj == "77777777777777" ||
	        cnpj == "88888888888888" ||
	        cnpj == "99999999999999")
	        return false;
	         
	    // Valida DVs
	    tamanho = cnpj.length - 2
	    numeros = cnpj.substring(0,tamanho);
	    digitos = cnpj.substring(tamanho);
	    soma = 0;
	    pos = tamanho - 7;
	    for (i = tamanho; i >= 1; i--) {
	      soma += numeros.charAt(tamanho - i) * pos--;
	      if (pos < 2)
	            pos = 9;
	    }
	    resultado = soma % 11 < 2 ? 0 : 11 - soma % 11;
	    if (resultado != digitos.charAt(0))
	        return false;
	         
	    tamanho = tamanho + 1;
	    numeros = cnpj.substring(0,tamanho);
	    soma = 0;
	    pos = tamanho - 7;
	    for (i = tamanho; i >= 1; i--) {
	      soma += numeros.charAt(tamanho - i) * pos--;
	      if (pos < 2)
	            pos = 9;
	    }
	    resultado = soma % 11 < 2 ? 0 : 11 - soma % 11;
	    if (resultado != digitos.charAt(1))
	          return false;
	           
	    return true;
	    
	}

	function IsEmail(email){

	    if (email != '') {
		    var exclude=/[^@\-\.\w]|^[_@\.\-]|[\._\-]{2}|[@\.]{2}|(@)[^@]*\1/;
		    var check=/@[\w\-]+\./;
		    var checkend=/\.[a-zA-Z]{2,3}$/;
		    if(((email.search(exclude) != -1)||(email.search(check)) == -1)||(email.search(checkend) == -1)) {
		    	return false;
		    } else {
		    	return true;
		    }
	    }
	    else { 
	    	return false; 
	    }

	}
	
	function alerta(campo) {

		$(campo)
			.fadeOut(300)
			.fadeIn(300)

	}

	function alerta2(campo) {

		$(campo)
			.focus()
			.fadeOut(300)
			.fadeIn(300)

	}

	function alerta3(campo) {

		$(campo).select2('open');

	}

	function focusSelect(campo) {
		
		finded = findElement(campo)

		$(finded).on('click', function() {
			
			$(this).select();

		});

	}

	function findElement(campo) {

		var $this = $(this)
		
		$(document).find(campo).each(function() {

			$this = $(this)

		});

		return $this

	}

	function mensagem(mensagem) {

		$('#flutuante').remove();

		areaAlerta();

		$("#area-alerta").show();
		$("#mensagem-alerta").html(mensagem)
			.fadeOut(300)
			.fadeIn(300)

		topo = $(window).scrollTop()
		
		if (topo <= 105) {

	    	$('#flutuante').offset({top:topo+79}).fadeIn();
			
		} else {

			$('#flutuante').offset({top:topo+55}).fadeIn();

		}

		$(window).scroll(function() {

			topo = $(window).scrollTop()

			if (topo <= 105) {

				$('#flutuante').offset({top:topo+59}).fadeIn();
				
			}
			
		});

		setTimeout(function() {

			$("#area-alerta").fadeOut(500).hide();

		}, 13000);
			
	}

	function contador() {
		
		item = 0;

		$("div[id=box-itens-linha]").each(function(index) {

    		// $(this).attr("data-item", item++);
    		$(this).children().children().children().html(item);

			item++;
			// alert(item)

    	});

	}

	function dataAtualJS() {

		var d = new Date();
		var month = d.getMonth()+1;
		var day = d.getDate();
		var output = 
			((''+day).length<2 ? '0' : '') + day + '/' +
		    ((''+month).length<2 ? '0' : '') + month + '/' +
		     d.getFullYear();
		return output;

	}

	function imprimirRelatorio(container) {

		$("div .box-loading").show();

		$.getScript('{{ URL::to("js/jquery.printThis.js") }}', function() {
		    
		    $(container).printThis({
				debug: false,              
				importCSS: true,           
				printContainer: false,      
				loadCSS: '{{ URL::to("css/stylesheet.css") }}',
				pageTitle: "Textil - Impressão",            
				removeInline: false
				
			});

		    $("div .box-loading").hide();

		});

	}

	function toFloat(campo) {

		if ($(campo).is("input")) {

			toFloatX = parseFloat(campo.val().replace(".","").replace(",",".")).toFixed(2);

		} else {

			toFloatX = parseFloat(campo.html().replace(".","").replace(",",".")).toFixed(2);

		}

		return toFloatX;

	}

	function areaAlerta() {

		alerta = "<div id=\"flutuante\">"
		alerta += "<div class=\"alert alert-dismissable alert-warning\" id=\"area-alerta\">"
		alerta += "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">×</button>"
		alerta += "<span id=\"mensagem-alerta\"></span>"
		alerta += "</div> <!-- fim area-alerta -->"
		alerta += "</div>"

		$("body").prepend(alerta);

	}
