@extends('layouts.default')
@section('content')

    <div class="row">
                    
        <div class="col-sm-6">
            
            <a href="{!! url("cadastros/lojas/adicionar") !!}" class="btn btn-warning btn-80" id="" type="button"><i class="fa fa-plus"></i> Adicionar</a>
            <a href="#" class="btn btn-default btn-80" id="" type="button" data-toggle="modal" data-target="#modal-imprimir"><i class="fa fa-check"></i> Imprimir</a>

        </div>

        {!! Form::open(['url'=>'cadastros/lojas', 'method'=>'get']) !!}
        <div class="form-group col-sm-3 pull-right">
            <div class="input-group">
                <input class="form-control" placeholder="Busca" id="busca" name="busca" type="text" value="{!! request('busca') !!}" autoFocus>
                <span class="input-group-btn">
                    <button class="btn btn-warning" style="margin: 0" type="submit">
                        <i class="fa fa-search"></i>
                    </button>
                </span>
            </div>
        </div>
        {!! Form::close() !!}
        
    </div> {{-- fim row --}}

    <div class="ibox-content">

        <div class="box-header with-border">
            <h4 class="">Lojas</h4>
        </div> {{-- fim box-header --}}

        <div class="box-body">
            
            @if (count($busca) > 0)

                <table class="table table-striped">
                
                    <thead>
                        <tr >
                            <th class="col-xs-2 col-sm-2 col-md-2">
                                Código
                            </th>
                            <th class="col-xs-7 col-sm-7 col-md-8">
                                Descrição
                            </th>                            
                            <th class="col-xs-3 col-sm-3 col-md-2" id="area-botoes">
                                
                            </th>
                        </tr>
                    </thead>
                    
                    <tbody>

                        @foreach ($busca as $linha) 

                            <tr>
                                
                                <td class="col-xs-2 col-sm-2 col-md-2 text-center">
                                    {!! $linha->id !!}
                                </td>
                                <td class="col-xs-7 col-sm-7 col-md-8">
                                    {!! $linha->nome_fantasia !!}
                                </td>
                                <td class="col-xs-3 col-sm-3 col-md-2 text-center" id="area-botoes">
                                    <a class="text-muted well-sm" href="{!! url("cadastros/lojas/editar") . "/" . $linha->id !!}" id="link-editar" data-id="{!! $linha->id !!}" title="Editar">
                                    <i class="fa fa-edit fa-lg"></i>
                                    </a>                                
                                    <a class="text-muted well-sm" href="#" id="link-excluir" data-id="{!! $linha->id !!}" data-nome="{!! $linha->nome_fantasia !!}" title="Excluir">
                                    <i class="fa fa-trash fa-lg"></i>
                                    </a>
                                </td>

                            </tr>
                        
                        @endforeach

                    </tbody>

                </table>
                
                <div class="text-center">
                    
                    {!! $busca->appends(['busca'=>request('busca')])->render() !!}
                    
                </div>
                
                <br>

            @else

                <h2 class="text-center">Nenhum registro encontrado!</h2>

            @endif

        </div> <!-- fim box-body -->

        @if ($busca->total() > 0)
            <div class="box-footer">
                <span class="text-left bold">Total - {{ @decimal0($busca->total()) }} encontrado(s)</span>
            </div> <!-- fim box-footer -->
        @endif
        
    </div> <!-- fim box -->
    
    <!-- Modal - Excluir -->

    {!! Form::open(array('url'=>'cadastros/lojas/excluir', 'id'=>'form-excluir')) !!}
        
        <div class="modal modal-laranja" id="modal-excluir" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                        
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                        <h4 class="modal-title">Excluir</h4>
                    </div>
                    <div class="modal-body">                            
                        <div class="row">                            
                            <div class="col-sm-12">                                
                                <h4>Deseja realmente excluir a loja <strong><span id="item"></span></strong>?</h4>
                            </div>                            
                        </div>
                    </div> <!-- fim modal-body -->
                    
                    <div class="modal-footer">                        
                        <div class="row">                            
                            <div class="col-sm-6 pull-right text-right">                                
                                {!! Form::submit('Sim', array('class'=>'btn btn-80 btn-warning', 'id'=>'bt-sim-excluir')) !!}
                                <a href="#" class="btn btn-default btn-80" data-dismiss="modal" title="">Não</a>
                            </div>                            
                        </div>
                    </div> <!-- fim modal-footer -->
                    
                </div> <!-- fim modal-content -->
            </div> <!-- fim modal-dialog -->

        </div> <!-- fim modal -->

    {!! Form::close() !!}

@endsection

@section('scripts')
    
    <script>
        
        $(".table").on('click', '#link-excluir', function(e) {
            e.preventDefault();
            
            id = $(this).data("id");
            nome = $(this).data("nome"); 
            $("#item").html(nome);
            $("#form-excluir").attr("action", Config.baseURL + 'cadastros/lojas/excluir/' + id);
            console.log($("#form-excluir").html());
            $("#modal-excluir").modal("show");

        });
        
        $("#bt-sim-excluir").on('click', function(e) {
            e.preventDefault();
            
            $("#form-excluir").submit();

        });

    </script>

@endsection
