@extends('layouts.default')
@section('content')
		
<?php $disabled = (isset($produto)) ? "disabled" : ""; ?>

<div class="well-sm"></div>

<div class="ibox-content">
	
    <h4 class=""><strong>Produto </strong></h4>

    <div class="hr-line-dashed"></div>

	@if (isset($produto)) 
		{!! Form::open(array('url'=>'cadastros/produtos/atualizar/' . @$produto->id, 'class'=>'form-horizontal')) !!}
	@else
		{!! Form::open(array('url'=>'cadastros/produtos/novo', 'class'=>'form-horizontal')) !!}
	@endif

	<fieldset>
		
        @if ($errors->has())

            <div class="alert alert-dismissable alert-danger">
                <button type="button" class="close" data-dismiss="alert">×</button>
                {!! HTML::ul($errors->all()) !!} 

            </div>

        @endif

		<div class="row">

			<div class="col-xs-12 col-sm-3">
					
				<label class="control-label">Referência</label>
				<div class="form-group has-orange">
					
					{!! Form::text('referencia', @$produto->referencia, array('class'=>'form-control empty text-center', 'id'=>'')) !!}

				</div>

			</div>

			<div class="col-xs-12 col-sm-9">

				<label class="control-label">Descrição</label>
				<div class="form-group has-orange">
					
					{!! Form::text('descricao', @$produto->descricao, array('class'=>'form-control empty', 'id'=>'')) !!}

				</div>

			</div>
			
		</div> <!-- fim row -->
		
		<div class="row">
			
			

		</div>

		<div class="row">

			<div class="col-xs-6 col-sm-6">
			
				<label class="control-label">Valor Comum</label>
				<div class="form-group has-orange">
					
					{!! Form::text('valor', Util::decimal2(@$produto->valor), array('class'=>'form-control empty text-center', 'id'=>'valor')) !!}

				</div>

			</div>

			<div class="col-xs-6 col-sm-6">
			
				<label class="control-label">Valor p/ Empresas</label>
				<div class="form-group has-orange">
					
					{!! Form::text('valor2', Util::decimal2(@$produto->valor2), array('class'=>'form-control empty text-center', 'id'=>'valor')) !!}

				</div>

			</div>
			
			<div class="col-xs-6 col-sm-6">
			
				<label class="control-label">Valor à Prazo</label>
				<div class="form-group has-orange">
					
					{!! Form::text('valorprazo', Util::decimal2(@$produto->valorprazo), array('class'=>'form-control empty text-center', 'id'=>'valor-prazo')) !!}

				</div>

			</div>
			
			<div class="col-xs-6 col-sm-6">
			
				<label class="control-label">Valor à Prazo (Atacado)</label>
				<div class="form-group has-orange">
					
					{!! Form::text('valorprazo2', Util::decimal2(@$produto->valorprazo2), array('class'=>'form-control empty text-center', 'id'=>'valor-prazo2')) !!}

				</div>

			</div>

			<div class="col-xs-6 col-sm-6">
		
				<label class="labels">Unidade</label>
				<div class="form-group has-orange">
					<?php 

						$unidades = array(
							''	 => 'Selecione',
							'UN' => 'UN', 
							'MT' => 'MT', 
							'KG' => 'KG', 
							'LT' => 'LT',
							'PC' => 'PC',
							'CX' => 'CX' 
							);

					?>
					{!! Form::select('unidade', $unidades, @$produto->unidade, array('class' => 'form-control', 'id' => '')) !!}

				</div>

			</div>

			<div class="col-xs-6 col-sm-6">
		
				<label class="labels">Categoria</label>
				<div class="form-group has-orange">
					<?php 

						$escolha = array(
							'' => 'Selecione', 
							);

					?>
					{!! Form::select('categoria', $escolha+$categorias, @$produto->categoria, array('class' => 'form-control', 'id' => '')) !!}

				</div>

			</div>

		</div>

		<div class="row">

			<div class="col-xs-6 col-sm-6">
			
				<label class="control-label">Código de Barras</label>
				<div class="form-group has-orange">
					
					{!! Form::text('codigobarras', @$produto->codigobarras, array('class'=>'form-control empty', 'id'=>'')) !!}

				</div>

			</div>

			<div class="col-xs-6 col-sm-6">
			
				<label class="control-label">Estoque</label>
				<div class="form-group has-orange">
					
					{!! Form::text('estoque', @$produto->estoque, array('class'=>'form-control empty text-center', 'id'=>'')) !!}

				</div>

			</div>

		</div> <!-- fim row -->
		
		<div class="row">
			
			<div class="col-xs-6 col-sm-6">
				
				<label class="control-label">Fornecedor</label>
				<div class="form-group has-orange">
					<?php 

						$escolha = array(
							'' => 'Selecione', 
							);

					?>
					{!! Form::select('fornecedor', $escolha+$fornecedores, @$produto->fornecedor, array('class' => 'form-control')) !!}
					
				</div>
				
			</div>

			<div class="col-xs-6 col-sm-6">
			
				<label class="control-label">Fabricante</label>
				<div class="form-group has-orange">
					
					{!! Form::text('fabricante', @$produto->fabricante, array('class'=>'form-control empty', 'id'=>'')) !!}
					
				</div>
				
			</div>

		</div> <!-- fim row -->
		
		<div class="row">
			
			<div class="col-xs-6 col-sm-6">
			
				<label class="control-label">Seção</label>
				<div class="form-group has-orange">
					<?php 

						$escolha = array(
							'' => 'Selecione', 
							);

					?>
					{!! Form::select('secao', $escolha, @$produto->secao, array('class' => 'form-control'))!!}
					
				</div>
				
			</div>

		</div> <!-- fim row -->

		<hr>

		<div class="row">
			
            <div class="col-sm-6 text-right pull-right">

                {!! Form::submit('Salvar', array('class'=>'btn btn-primary btn-sm', 'id'=>'')) !!}
                <a href="{{ url('cadastros/produtos') }}" class="btn btn-default btn-sm" title="Cancelar"><i class="fa fa-reply"></i></a>

            </div>

		</div> <!-- fim box-footer -->

	</fieldset>
	
	{!! Form::close() !!}
	
</div> 

@endsection

@section('scripts')
	
	{!! HTML::script("js/jquery.maskMoney.js") !!}
	
	<script>
		
		$(function() {
			
		    $('#valor, #valor2, #valor-prazo, #valor-prazo2').numeric(",");
        	$('#valor, #valor2, #valor-prazo, #valor-prazo2').floatnumber(",",2);

	  	});

		$("#valor, #valor2, #valor-prazo, #valor-prazo2").click(function() {
			
			$(this).select();
			
		});

	</script>
	
@endsection
