@extends('layouts.default')
@section('content')
    
    <div class="row">
        
        <div class="col-xs-12 col-sm-6">
            
            <div class="btn-group" role="group" aria-label="Default button group">
              <a href="{!! url("cadastros/produtos/novo") !!}" class="btn btn-primary btn-sm" id="" type="button"><i class="fa fa-plus"></i> Adicionar</a>
            </div>

        </div>

        <div class="col-xs-12 col-sm-6 top10 pull-right">
            
            <div class="box-tools">
                
                {!! Form::open(array('url'=>'cadastros/produtos', 'class'=>'form-inline', 'method'=>'get')) !!}

                    <div class="form-group has-orange pull-right">

                        <div class="input-group">

                            <input class="form-control input-sm" placeholder="Busca" id="" name="busca" type="text" value="{!! @$query !!}" autoFocus>
                            <span class="input-group-btn">
                                <button class="btn btn-warning btn-sm margin-0" type="submit">
                                    <i class="fa fa-search"></i>
                                </button>
                            </span>

                        </div>

                    </div>
                
                {!! Form::close() !!}
            
            </div> <!-- fim box-tools -->
            
        </div>

    </div> <!-- fim row -->
        
<div class="ibox-content">
    
    {{-- <div class="hr-line-dashed"></div> --}}

    @if (count($busca) > 0)

        <table class="table table-striped">
        
            <thead>
                <tr >
                    <th class="col-xs-2 col-sm-2">
                        Referência
                    </th>

                    <th class="col-xs-4 col-sm-4">
                        Descrição
                    </th>
                    
                    <th class="col-xs-2 col-sm-3 text-right">
                        Valor
                    </th>

                    <th class="col-xs-4 col-sm-3">
                        
                    </th>
                </tr>
            </thead>
            
            <tbody>

                @foreach ($busca as $linha) 

                <tr>
                    
                    <td class="col-xs-2 col-sm-2 text-center">
                        {!! $linha->referencia !!}
                    </td>

                    <td class="col-xs-4 col-sm-4 ">
                        {!! $linha->descricao !!}
                    </td>
                    
                    <td class="col-xs-2 col-sm-3 text-right">
                        {!! Util::decimal2($linha->valor) !!}
                    </td>

                    <td class="col-xs-4 col-sm-3 text-center">

                        <a class="well-sm" href="{!! url("cadastros/produtos/editar") . "/" . $linha->id !!}" id="link-editar" data-id="{!! $linha->id !!}" title="Editar">
                        <i class="fa fa-edit fa-lg"></i>
                        </a>
                        <a class="well-sm" href="#" id="link-excluir" data-id="{!! $linha->id !!}" data-descricao="{!! $linha->descricao !!}" title="Excluir">
                        <i class="fa fa-times fa-lg"></i>
                        </a>
                        
                    </td>

                </tr>
                
                @endforeach

            </tbody>

        </table>
        
        <div class="text-center">
            
            {!! $busca->appends(['busca'=>Request::get('busca')])->render() !!}
            
        </div>
        
    @else

        <div class="row">
            
            <div class="text-center">
                Nada encontrado!
            </div>

        </div>

    @endif
                
</div> <!-- fim ibox-content -->
    
    <!-- Modal - Filtrar -->

    <div class="modal" id="modal-filtrar" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'cadastros/produtos', 'class'=>'form-inline', 'method'=>'get')) !!}
            
        <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title">Filtro</h4>
            </div>
            <div class="modal-body">

                <div class="row">
                    
                    <div class="col-xs-6 col-sm-6">
                    
                        <label class="control-label">Produto</label>
                        <div class="form-group has-orange">
                            
                            <?php
                                
                                $escolha = array(
                                    ''=>'Selecione',
                                    'Todos'=>'TODOS'
                                    );
                                    
                            ?>
                            
                            {!! Form::select('produto', $escolha, null, array('class' => 'form-control', 'id' => 'produtos')) !!}

                        </div>
                        
                    </div>

                    <div class="col-xs-6 col-sm-6">
                    
                        <label class="control-label">Fabricante</label>
                        <div class="form-group has-orange">
                        
                            <?php
                                
                                $escolha = array(
                                    ''=>'Selecione',
                                    );
                                    
                            ?>
                            
                            {!! Form::select('fabricante', $escolha, null, array('class' => 'form-control', 'id' => 'fabricantes')) !!}

                        </div>
                        
                    </div>

                </div> <!-- fim row -->

                <hr>

                <div class="row">
                    
                    <div class="col-xs-9 pull-right text-right">
                        
                        {!! Form::submit('OK', array('class'=>'btn bg-orange', 'id'=>'bt-ok-filtro')) !!}
                                
                    </div>

                </div> <!-- fim box-footer -->

            </div> <!-- fim modal-body -->
            
        </div> <!-- fim modal-content -->
        </div> <!-- fim modal-dialog -->

        {!! Form::close() !!}

    </div> <!-- fim modal -->
    
    <!-- Modal - Excluir -->

    <div class="modal" id="modal-excluir" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'cadastros/produtos/excluir', 'class'=>'form-inline', 'id'=>'form-excluir')) !!}
                    
        <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title">Excluir</h4>
            </div>
            <div class="modal-body">

                <div class="row">
                    
                    <div class="col-sm-12">
                        
                        <p>Deseja realmente excluir o produto <strong><span id="item"></span></strong>?</p>
                        
                    </div>
                    
                </div>
                
                <hr>

                <div class="row">
                    
                    <div class="col-xs-12 col-sm-6 text-right pull-right">
                        
                        {!! Form::submit('Sim', array('class'=>'btn bg-orange', 'id'=>'bt-sim-excluir')) !!}
                        {!! Form::button("Não", array('class'=>'btn btn-default', 'data-dismiss'=>'modal')) !!}
                        
                    </div>

                </div> <!-- fim box-footer -->

            </div> <!-- fim modal-body -->
            
        </div> <!-- fim modal-content -->
        </div> <!-- fim modal-dialog -->

        {!! Form::close() !!}

    </div> <!-- fim modal -->
    
@endsection

@section('scripts')
    
    {!! HTML::script("plugins/select2/select2.min.js") !!} 

    <script>

        $(function(){

            $('select[id=produtos]').select2()
                .on("change", function(e) {
                  $('#fabricantes option[value=""]').prop('selected', true);
                });

            $('select[id=fabricantes]').select2()
                .on("change", function(e) {
                  $('#produtos option[value=""]').prop('selected', true);
                });
        
        });

        $("#produtos").change(function() {

            $('#fabricantes option[value=""]').prop('selected', true);

        });
        
        $("#fabricantes").change(function() {

            $('#produtos option[value=""]').prop('selected', true);

        });

        $(".table").on('click', '#link-excluir', function(e) {
            e.preventDefault();
            
            id = $(this).data("id");
            descricao = $(this).data("descricao"); 
            $("#item").html(descricao);
            $("#form-excluir").attr('action', Config.baseURL + 'cadastros/produtos/excluir/' + id)
            $("#modal-excluir").modal("show");

        });

        // $("#bt-sim-excluir").click(function() {
            
        //  $("#modal-excluir").modal("hide");
        //  $("div .box-body").css("opacity", 0.5);
        //  $("div .box-loading").show();

        //  $.post(baseURL + 'cadastros/produtos/excluir/' + id, function(data) {

        //      window.location.href = Config.baseURL + 'cadastros/produtos';
                
        //  });

        // });

    </script>

@endsection
