@extends('layouts.default')
@section('content')
        
<?php $disabled = (isset($servico)) ? "disabled" : ""; ?>

<div class="well-sm"></div>

<div class="ibox-content">
    
    <h4 class=""><strong>{!! $legenda !!} </strong></h4>

    <hr>    

    @if (isset($servico)) 
        {!! Form::open(array('url'=>'cadastros/servicos/atualizar/' . @$servico->id, 'class'=>'form-horizontal')) !!}
    @else
        {!! Form::open(array('url'=>'cadastros/servicos/novo', 'class'=>'form-horizontal')) !!}
    @endif

    <fieldset>
        
        {{-- <div class="hr-line-dashed"></div> --}}

        @if ($errors->has())

            <div class="alert alert-dismissable alert-danger">
                <button type="button" class="close" data-dismiss="alert">×</button>
                {!! HTML::ul($errors->all()) !!} 

            </div>

        @endif

        <div class="row">

            <div class="col-xs-6 col-sm-6">
                    
                <label class="control-label">Referência</label>
                <div class="form-group has-orange">
                    
                    {!! Form::text('referencia', @$servico->referencia, array('class'=>'form-control empty text-center', 'id'=>'')) !!}

                </div>

            </div>
            
        </div> <!-- fim row -->
        
        <div class="row">
            
            <div class="col-xs-12 col-sm-6">

                <label class="control-label">Descrição</label>
                <div class="form-group has-orange">
                    
                    {!! Form::text('descricao', @$servico->descricao, array('class'=>'form-control empty', 'id'=>'')) !!}

                </div>

            </div>

        </div>

        <div class="row">

            <div class="col-xs-6 col-sm-6">
            
                <label class="control-label">Valor Comum</label>
                <div class="form-group has-orange">
                    
                    {!! Form::text('valor', Util::decimal2(@$servico->valor), array('class'=>'form-control empty text-center', 'id'=>'valor')) !!}

                </div>

            </div>

            <div class="col-xs-6 col-sm-6">
            
                <label class="control-label">Valor p/ Empresas</label>
                <div class="form-group has-orange">
                    
                    {!! Form::text('valor2', Util::decimal2(@$servico->valor2), array('class'=>'form-control empty text-center', 'id'=>'valor')) !!}

                </div>

            </div>
            
            <div class="col-xs-6 col-sm-6">
            
                <label class="control-label">Valor à Prazo</label>
                <div class="form-group has-orange">
                    
                    {!! Form::text('valorprazo', Util::decimal2(@$servico->valorprazo), array('class'=>'form-control empty text-center', 'id'=>'valor-prazo')) !!}

                </div>

            </div>
            
            <div class="col-xs-6 col-sm-6">
            
                <label class="control-label">Valor à Prazo (Atacado)</label>
                <div class="form-group has-orange">
                    
                    {!! Form::text('valorprazo2', Util::decimal2(@$servico->valorprazo2), array('class'=>'form-control empty text-center', 'id'=>'valor-prazo2')) !!}

                </div>

            </div>

            <div class="col-xs-6 col-sm-6">
        
                <label class="labels">Unidade</label>
                <div class="form-group has-orange">
                    <?php 

                        $unidades = array(
                            ''   => 'Selecione',
                            'UN' => 'UN', 
                            'PC' => 'PC',
                            'MT' => 'MT', 
                            'KG' => 'KG', 
                            );

                    ?>
                    {!! Form::select('unidade', $unidades, @$servico->unidade, array('class' => 'form-control', 'id' => '')) !!}

                </div>

            </div>

            <div class="col-xs-6 col-sm-6">
        
                <label class="labels">Categoria</label>
                <div class="form-group has-orange">
                    <?php 

                        $escolha = array(
                            '' => 'Selecione', 
                            );

                    ?>
                    {!! Form::select('categoria', $escolha+$categorias, @$servico->categoria, array('class' => 'form-control', 'id' => '')) !!}

                </div>

            </div>

        </div>
        
        <div class="row">
            
            <div class="col-xs-6 col-sm-6">
            
                <label class="control-label">Seção</label>
                <div class="form-group has-orange">
                    <?php 

                        $escolha = array(
                            '' => 'Selecione', 
                            );

                    ?>
                    {!! Form::select('secao', $escolha, @$servico->secao, array('class' => 'form-control'))!!}
                    
                </div>
                
            </div>

        </div> <!-- fim row -->

        <div class="hr-line-dashed"></div>

        <div class="row">
            
            <div class="pull-right col-sm-6 alinha-direita">

                {!! Form::submit('Salvar', array('class'=>'btn btn-primary btn-sm', 'id'=>'')) !!}
                <a href="{{ url('cadastros/servicos') }}" class="btn btn-default btn-sm" title="Cancelar"><i class="fa fa-reply"></i></a>

            </div>

        </div> <!-- fim box-footer -->

    </fieldset>
    
    {!! Form::close() !!}
    
</div> 

@endsection

@section('scripts')
    
    {!! HTML::script("js/jquery.maskMoney.js") !!}
    
    <script>
        
        $(function() {
            
            $('#valor, #valor2, #valor-prazo, #valor-prazo2').numeric(",");
            $('#valor, #valor2, #valor-prazo, #valor-prazo2').floatnumber(",",2);

        });

        $("#valor, #valor2, #valor-prazo, #valor-prazo2").click(function() {
            
            $(this).select();
            
        });

    </script>
    
@endsection
