@extends('layouts.default')
@section('css')
    {!! HTML::style('plugins/select2/select2.css'); !!}
    <style>
        ul#list li {
            padding: 2px 6px 2px 6px !important;
        }
        ul#list label {
            width: 100% !important;
        }
    </style>
@endsection

@section('content')
    
    {!! Form::open(['url'=>'configuracoes/salvar']) !!}
    <input type="hidden" name="url" value="{{ URL::previous() }}">

        <div class="ibox-content">

            <div class="box-header with-border">
                <div class="box-title">
                    Configurações 
                </div>
            </div>
            <div class="box-body">
                <div class="col-xs-12 bottom5">
                    <h1 id="header-filtro"></h1>
                </div>
                <div class="col-sm-12">
                    <ul id="list" class="list-group">
                        @foreach ($configuracoes as $key => $configuracao)
                            <?php 
                                $check = ($configuracao->ativo == "1") ? true : false;
                                // echo $configuracao->id . "<br>";
                            ?>
                            <li class="list-group-item1 ellipsis col-sm-6">
                                <div class="checkbox" id="configuracoes-list" style="padding-top: 1px">
                                    <label class="">
                                        {!! Form::checkbox('configuracoes[]', $configuracao->id, $check) !!}
                                        <span title="{!! $configuracao->config !!}">{!! $configuracao->descricao !!}</span>
                                    </label>
                                </div>
                            </li>
                        @endforeach
                    </ul>
                </div>
            </div>
            <div class="box-footer">
                <div class="row">
                    <div class="col-sm-6 pull-right text-right">
                        <button type="submit" class="btn btn-warning btn-80" title="Salvar" data-original-title="Salvar">Salvar</button>
                        <a href="{{ URL::previous() }}" class="btn btn-default btn-80" title="Cancelar" data-original-title="Cancelar">Cancelar</a>
                    </div>
                </div>
            </div>

        </div>

    {!! Form::close() !!}
        
@endsection

@section("scripts")
    
    {!! HTML::script("plugins/select2/select2.min.js") !!} 
    <script>

        document.getElementById('box').addEventListener('focus', function(e){
            if (e.target.tagName == 'INPUT'){
                e.target.select()
            }
        }, true);

        $(function(){
            $('select[id=clientes]').select2()
        });

        (function ($) {
          // custom css expression for a case-insensitive contains()
          $.expr[':'].Contains = function(a,i,m){
              return (a.textContent || a.innerText || "").toUpperCase().indexOf(m[3].toUpperCase())>=0;
          };

          function listFilter(header, list) { // header is any element, list is an unordered list
            // create and add the filter form to the header
            var form = $("<form>").attr({"class":"filterform","action":"#"}),
                input = $("<input>").attr({"class":"filterinput form-control","type":"text","placeholder":"Busca"});
            $(form).append(input).appendTo(header);

            $(input)
              .change( function () {
                var filter = $(this).val();
                if(filter) {
                    // console.log($(list).find("span:not(:Contains(" + filter + "))").parent().parent().parent().html())
                  // this finds all links in a list that contain the input,
                  // and hide the ones not containing the input while showing the ones that do
                  $(list).find("span:not(:Contains(" + filter + "))").parent().parent().parent().slideUp();
                  $(list).find("span:Contains(" + filter + ")").parent().parent().parent().slideDown();
                } else {
                  $(list).find("li").slideDown();
                }
                return false;
              })
            .keyup( function () {
                // fire the above change event after every letter
                $(this).change();
            });
          }

          //ondomready
          $(function () {
            listFilter($("[id=header-filtro]"), $("[id=list]"));
          });
        }($));

    </script>

@endsection
