@extends('layouts.default')

@section('css')

    <style>
        
        @media print {

            #area-botoes {
                display: none;
            }

        }

    </style>

@endsection

@section('content')
    
    <div class="ibox-header">

        <div class="row">
            
            <div class="col-xs-12 col-sm-6">
                
                <div class="btn-group" role="group" aria-label="Default button group">
                    <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#modal-filtrar">Filtro</button>
                    <input class="btn btn-warning btn-sm" id="bt-imprimir" type="button" value="Imprimir">
                </div>

            </div>

            <div class="col-xs-12 col-sm-6 top10 pull-right">
                
                <div class="box-tools">
                    
                    {!! Form::open(array('url'=>'contasreceber', 'class'=>'form-inline', 'method'=>'get')) !!}

                        <div class="form-group has-orange pull-right">

                            <div class="input-group">

                                <input class="form-control input-sm" placeholder="Busca" id="" name="busca" type="text" value="{!! request('busca') !!}" autoFocus>
                                <span class="input-group-btn">
                                    <button class="btn btn-warning btn-sm margin-0" type="submit">
                                        <i class="fa fa-search"></i>
                                    </button>
                                </span>

                            </div>

                        </div>
                    
                    {!! Form::close() !!}
                
                </div> <!-- fim box-tools -->
                
            </div>

        </div> <!-- fim row --> 
        
    </div>

    <div class="ibox-content">
        
        <?php 
            // dd($busca->count()) 
        ?>
        @if ($busca->count() > 0)
        
        <div id="area-promissorias">
            
            <div class="row">
                
                <div class="col-xs-6">
                    
                    <h3 class="bold margin-0" id="titulo">Promissórias</h3>
                        
                </div>

                <div class="col-xs-6 pull-right text-right">
                    
                    @if ($busca->count() > 0)

                    <label for="" class="control-label">Total</label>
                    <h3 class="bold margin-0">{{ @Util::decimal2($soma) }}</h3>

                    @endif

                </div>

            </div>

            <div class="hr-line-dashed"></div>

            <table class="table table-striped" >
                
                <thead>
                    <tr >

                        <th class="col-xs-2 col-sm-2">
                            Vencimento
                        </th>
                        <th class="col-xs-3 col-sm-3">
                            Cliente
                        </th>
                        <th class="col-xs-3 col-sm-3 ">
                            Itens
                        </th>
                        <th class="col-xs-2 col-sm-2 text-center">
                            Total
                        </th>
                        
                        <th class="col-xs-2 col-sm-2">
                            
                        </th>
                    </tr>
                </thead>
                
                <tbody>

                    @foreach ($busca as $linha) 

                    <tr id="box-itens-linha" data-id="{!! @$linha->id !!}">

                        <td class="col-xs-2 col-sm-2 text-center">
                            {!! @Util::dataFormat($linha->vencimento) !!}
                        </td>
                        
                        <td class="col-xs-3 col-sm-3">
                            {!! @$linha->cliente->nome !!}
                        </td>
                        
                        <td class="col-xs-3 col-sm-3 text-right " id="area-itens">
{{-- 
                            @foreach ($linha->promissoria->pedido_itens as $item)
                                {!! @$item->descricao !!}<br> {!! @$item->quantidade !!} {!! @$item->unidade !!} x {!! @Util::decimal2($item->valor) !!}<br>
                            @endforeach --}}
                                
                        </td>

                        <td class="col-xs-2 col-sm-2 text-right" id="area-total">
                            <span class="bold">{!! @Util::decimal2($linha->valor) !!}</span>
                        </td>

                        <td class="col-xs-2 col-sm-2 text-center" id="area-botoes">

                            <a class="well-sm" href="#" id="detalhar" data-id="{!! @$linha->promissoria->id !!}" title="Detalhar">
                            <i class="fa fa-list fa-lg"></i>
                            </a>
                            <a class="well-sm" href="#" id="excluir" data-id="{!! @$linha->id !!}" title="Excluir">
                            <i class="fa fa-times fa-lg"></i>
                            </a>
                            
                        </td>

                    </tr>
                    
                    @endforeach

                </tbody>

            </table>
            
        </div>

            <div class="text-center">
                
                {!! $busca->appends([
                    'busca'=>request('busca'),
                    'filtro'=>request('filtro'),
                    'datainicial'=>request('datainicial'),
                    'datafinal'=>request('datafinal')
                    ])->render() !!}
                
            </div>
            
            <br>

        @else

            <div class="row">
                
                <div class="text-center">
                    <h4>Nada encontrado!</h4>
                </div>

            </div>

        @endif
                    
    </div> <!-- fim ibox-content -->
        
    <!-- Modal - Filtrar -->

    <div class="modal" id="modal-filtrar" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'contasreceber', 'class'=>'form-horizontal', 'method'=>'get')) !!}
            
        <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title">Filtro</h4>
            </div>
            <div class="modal-body">

                <div class="row">
                    
                    <div class="col-xs-6">
                        
                        <div class="control-group">
                          <label class="control-label">Cliente</label>
                            <div class="form-group has-orange">
                            
                            <?php
                                
                                $escolha = array(
                                    ''=>'Selecione',
                                    ''=>'NENHUM'
                                    );
                                    
                            ?>
                            
                            {!! Form::select('cliente', $escolha + $clientes, request('cliente'), array('class' => 'form-control', 'id' => 'clientes')) !!}

                            </div>
                        </div>

                    </div>

                </div> <!-- fim row -->
                
                <span>Tipo</span>

                <div class="row">
                    @if (request()->has('filtro')) 
                        <?php $filtroAVencer = (request('filtro') == 'A vencer') ? 'checked=""' : ''; ?>
                        <?php $filtroQuitadas = (request('filtro') == 'Quitadas') ? 'checked=""' : ''; ?>
                    @endif
                    <label class="radio-inline"><input @if (!empty($filtroAVencer)) {{ @$filtroAVencer }} @else {{ 'checked=""' }} @endif type="radio" name="filtro" value="A vencer">A vencer</label>
                    <label class="radio-inline"><input {{ @$filtroQuitadas }} type="radio" name="filtro" value="Quitadas">Quitadas</label>

                </div>

                <hr>

                <div class="row">
                    
                    <div class="col-sm-6">
                        
                        <div class="control-group">
                            <label class="labels">Data Inicial</label>
                            <div class="form-group">
                                
                                @if (request()->has('datainicial')) 
                                    <?php $data1 = request('datainicial'); ?>
                                @else
                                    <?php $data1 = Util::primeiroDiaMes(); ?>
                                @endif
                                <input class="form-control empty" name="datainicial" id="data-inicial" type="date" value="{{ $data1 }}">
                                    
                            </div>
                        </div>
                        
                    </div>
                    
                    <div class="col-sm-6">
                        
                        <div class="control-group">
                            <label class="labels">Data Final</label>
                            <div class="form-group">
                                
                                @if (request()->has('filtro')) 
                                    <?php $data2 = request('datafinal'); ?>
                                @else
                                    <?php $data2 = date('Y-m-d'); ?>
                                @endif
                                <input class="form-control empty" name="datafinal" id="data-final" type="date" value="{{ $data2 }}">
                            
                            </div>

                        </div>

                    </div>
                    
                </div> <!-- fim row -->

            </div> <!-- fim modal-body -->

            <div class="modal-footer">
                
                <div class="row">
                            
                    <div class="col-xs-9 pull-right text-right">

                        {!! Form::submit('OK', array('class'=>'btn bg-orange', 'id'=>'bt-ok-filtro')) !!}
                                
                    </div>

                </div> <!-- fim row -->

            </div> <!-- fim modal-footer -->
            
        </div> <!-- fim modal-content -->
        </div> <!-- fim modal-dialog -->

        {!! Form::close() !!}

    </div> <!-- fim modal -->
    
    <!-- Modal - Excluir -->

    <div class="modal" id="modal-excluir" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'contasreceber/excluir-promissoria', 'class'=>'form-inline', 'id'=>'form-excluir')) !!}
                    
        <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title">Excluir</h4>
            </div>
            <div class="modal-body">

                <div class="row">
                    
                    <div class="col-sm-12">
                        
                        <span>Deseja realmente excluir a promissória <strong><span id="item"></span></strong>?</span>
                        
                    </div>

                </div>

            </div> <!-- fim modal-body -->
            
            <div class="modal-footer">
                
                <div class="row">
                    
                    <div class="col-xs-12 col-sm-6 pull-right text-right">
                        
                        <a href="#" class="btn btn-default" title="Cancelar" data-dismiss="modal">Não</a>
                        {!! Form::submit('Sim', array('class'=>'btn bg-orange', 'id'=>'bt-sim-excluir')) !!}
                            
                    </div>
                    
                </div>

            </div> <!-- fim box-footer -->
            
        </div> <!-- fim modal-content -->
        </div> <!-- fim modal-dialog -->

        {!! Form::close() !!}

    </div> <!-- fim modal -->
    
    <!-- Modal - Detalhar Itens -->

    <div class="modal" id="modal-parcelas-promissoria" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'consultas', 'class'=>'form-horizontal', 'method'=>'get')) !!}
            
            <div class="modal-dialog" style="width: 90%">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h4 class="modal-title">Promissória <span id="promissoria-id"></span></h4>
                </div>
                <div class="modal-body">

                    <div class="row" id="area-detalhamento-promissoria">
                    
                        <div id="result-itens"></div>
                        
                    </div>

                </div> <!-- fim modal-body -->
                
                <div class="modal-footer">
                    
                    <div class="row">
                        
                        <div class="col-sm-6 text-right pull-right">
                            
                            {!! Form::button("OK", array('class'=>'btn bg-orange', 'data-dismiss'=>'modal')) !!}
                            
                        </div>

                    </div> {{-- fim row --}}
                        
                </div> <!-- fim modal-footer -->
                
            </div> <!-- fim modal-content -->
            </div> <!-- fim modal-dialog -->

        {!! Form::close() !!}

    </div> <!-- fim modal -->

    <!-- Modal - Receber Promissória -->

    <div class="modal" id="modal-detalhar-promissoria" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'contasreceber/receber-promissoria', 'class'=>'form-horizontal', 'id'=>'form-receber-promissoria')) !!}
            
            {!! Form::hidden('promissoria', null, array('class'=>'form-control empty text-center', 'id'=>'promissoria-receber')) !!}

            <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h4 class="modal-title">Receber Promissória <span id="promissoria-documento"></span></h4>
                </div>
                <div class="modal-body">

                    <div class="row">
                        
                        <div class="col-xs-8">
                            
                            <label for="" class="control-label">Cliente</label>
                            <h3 class="ellipsis" id="promissoria-cliente"></h3>
                        
                        </div>

                        <div class="col-xs-4 text-right">
                            
                            <label for="" class="control-label">Valor</label>
                            <h3 class="bold" id="promissoria-valor"></h3>

                        </div>

                    </div> {{-- fim row --}}

                    <div class="row">
                        
                        <div class="col-xs-6 col-sm-4">
                            
                            <div class="form-group has-orange">
                            
                            <label class="labels">Data</label>
                            <input class="form-control empty" name="dataquitacao" id="data-final" type="date" value="<?php echo date('Y-m-d'); ?>">
                            
                            </div>

                        </div>

                        <div class="col-xs-6 col-sm-4">
                            
                            <div class="control-group">
                              <label class="control-label" for="">Valor</label>
                              <div class="form-group has-orange">
                              
                                {!! Form::text('valor', "0,00", array('class'=>'form-control empty text-center', 'id'=>'valor-recebimento-promissoria')) !!}
                                    
                              </div>
                            </div>
                            
                        </div>

                        <div class="col-xs-6 col-sm-4">
                        
                            <div class="control-group">

                              <label class="control-label">Tipo</label>
                                <div class="form-group has-orange">
                                    
                                    <?php 

                                        $arr = array(
                                            ''=>'Selecione',
                                            'Dinheiro'=>'Dinheiro',
                                            'Cheque'=>'Cheque',
                                            'Cartão de Crédito'=>'Cartão de Crédito',
                                            'Cartão de Débito'=>'Cartão de Débito',
                                            'Depósito'=>'Depósito',
                                            'Haver'=>'Haver',
                                            'Outros'=>'Outros',
                                            );

                                    ?>

                                    {!! Form::select('tipo', $arr, null, array('class' => 'form-control', 'id' => 'tipo-pagamento')) !!}

                                </div>

                            </div>
                            
                        </div>

                    </div> {{-- fim row --}}

                    <div class="row oculta" id="area-parcelas-cartao">
                            
                        <div class="col-xs-6 col-sm-4" id="area-parcelas">
                            
                            <div class="control-group">

                                <label class="control-label" for="">Parcelas</label>
                                <div class="form-group has-orange">
                                    
                                    <input type="number" name="parcelascartao" id="parcelas" class="form-control text-center" value="1">

                                </div>

                            </div>

                        </div>

                        <div class="col-xs-6 col-sm-4" id="area-bandeiras">
                                                
                            <div class="control-group">

                              <label class="control-label">Bandeira</label>
                                <div class="form-group has-orange">
                                
                                <?php
                                    
                                    $arr = array(
                                        ''=>'Selecione',
                                        'Visa'=>'Visa',
                                        'Hiper'=>'Hiper',
                                        'Master'=>'Master',
                                        'Cielo'=>'Cielo'
                                        );
                                        
                                ?>
                                
                                {!! Form::select('bandeiracartao', $arr, null, array('class' => 'form-control', 'id' => 'bandeira-cartao')) !!}
                        
                                </div>

                            </div>

                        </div> 

                    </div> {{-- fim row --}}

                </div> <!-- fim modal-body -->
                
                <div class="modal-footer">
                    
                    <div class="row">
                        
                        <div class="col-sm-6 pull-right text-right">
                            
                            {!! Form::submit("Receber", array('class'=>'btn bg-orange', 'id'=>'bt-receber-promissoria')) !!}
                            
                        </div>

                    </div> {{-- fim row --}}

                </div> {{-- fim box-footer --}}
                
            </div> <!-- fim modal-content -->
            </div> <!-- fim modal-dialog -->

        {!! Form::close() !!}

    </div> <!-- fim modal -->
    
@endsection

@section('scripts')
    
    {!! HTML::script("plugins/select2/select2.min.js") !!} 
    {!! HTML::script("js/jquery.printThis.js") !!} 

    <script>

        $(function(){

            $('select[id=clientes]').select2()
                // .on("change", function(e) {
                //   $('#produtos option[value=""]').prop('selected', true);
                // });
        
        });

        $("#bt-imprimir").click(function() {
            
            $(this).hide();
            $("tr[id=box-itens-linha]").each(function() {
                
                $(this).children('#area-itens').removeClass('hidden').removeClass('col-xs-2').addClass('col-xs-4');;
                $(this).children('#area-total').removeClass('col-xs-2').addClass('col-xs-4');
                $(this).children('#area-total').addClass('pull-right');
                $(this).children('#area-botoes').remove();

            }); 

            $("#area-promissorias").printThis({
                debug: false,
                importCSS: true,
                printContainer: false,
                // loadCSS: "../css/stylesheet.css",
                pageTitle: "Relatório - Contas a Receber",
                removeInline: false
                
            });

        });

        $("#result-itens").on('click', '#bt-imprimir-promissoria', function() {
            
            $(this).hide();
            // $("#box-itens-linha").each(function() {
            //     $(this).children('#area-total').addClass('pull-right');
            //     $(this).children('#area-botoes').hide();
            // }); 

            $("#area-detalhamento-promissoria").printThis({
                debug: false,
                importCSS: true,
                printContainer: false,
                // loadCSS: "../css/stylesheet.css",
                pageTitle: "Relatório - Promissória",
                removeInline: false
                
            });

        });

        $("#tipo-pagamento").change(function() {

            if ($(this).val() == "Cartão de Crédito" || $(this).val() == "Cartão de Débito") {

                $("#area-parcelas-cartao").show();
                
            } else {

                $("#area-parcelas-cartao").hide();

            }

        });

        $("#valor-recebimento-promissoria").on("click", function () {
           
           $(this).select();

        });

        $(".table").on('click', '#detalhar', function(e) {
            e.preventDefault();
            
            promissoria     = $(this).data('id');
            tipo    = $(this).data('tipo');
            $("#promissoria-id").html("("+promissoria+")");
            $("#modal-parcelas-promissoria").modal("show");
            $("div .box-loading").show();

            $.get("{{ url('contasreceber/listar-parcelas') }}", {

                promissoria: promissoria,
                tipo: tipo

            }, function(data) {

                $("#result-itens").html(data);
                $("div .box-loading").hide();
                
            });

        });

        $(".table").on('click', '#excluir', function(e) {
            e.preventDefault();
            
            promissoria = $(this).data("id");
            // alert(promissoria)
            $("#item-excluir").html(promissoria);
            $("#form-excluir").attr('action', Config.baseURL + 'contasreceber/excluir-promissoria/' + promissoria)
            $("#modal-excluir").modal("show");

        });

        $("#modal-parcelas-promissoria").on('click', '#result-itens #receber-promissoria', function(e) {
            e.preventDefault();

            $("#modal-parcelas-promissoria").modal("hide");
            promissoria = $(this).data('id')
            documento = $(this).data('documento')
            cliente = $(this).data('cliente')
            valor = $(this).data('valor')
            $("#promissoria-receber").val(promissoria)

            detalharPromissoria(promissoria, documento, cliente, valor)

        });

        $("#modal-detalhar-promissoria").on('click', '#bt-receber-promissoria', function(e) {
            e.preventDefault()
            
            promissoria     = $("#promissoria-receber").val();
            valor           = toFloat($("#valor-recebimento-promissoria"));
            valorPromissoria= toFloat($("#promissoria-valor"));
            tipo            = $("#tipo-pagamento option:selected");
            bandeiracartao  = $("#bandeira-cartao option:selected");
            // alert(promissoria)
            // return false;

            if (valor > parseFloat(valorPromissoria) || valor == 0) {

                mensagem("O valor informado é inválido!")
                alerta2("#valor-recebimento-promissoria")
                return false;

            }
            
            if (tipo.val() == "") {

                mensagem("Selecione o tipo de pagamento")
                alerta2("#tipo-pagamento")
                return false;

            }

            $("#form-receber-promissoria").submit();
            // receberPromissoria(promissoria, valor, tipo);
            // $("#modal-detalhar-promissoria").modal('hide');

        });

        function detalharPromissoria(promissoria, documento, cliente, valor) {

            $("#promissoria-id").val(promissoria);
            $("#promissoria-documento").html("("+documento+")");
            $("#promissoria-cliente").html(cliente);
            $("#promissoria-valor").html(number_format(valor,2,",","."));
            $("#modal-detalhar-promissoria").modal("show");
            
        }

        function receberPromissoria(promissoria, valor, tipo) {

            $("div .box-loading").show();

            $.get('{{ url("contasreceber/receber-promissoria") }}', {

                tipo: tipo,
                promissoria: promissoria,
                valor: valor

            }, function() {

                $("#valor-recebimento-promissoria").val("0,00");
                $("div .box-loading").hide();

            });

        }

    </script>

@endsection
