@extends('layouts.default')

@section('content')

    <div class="ibox-content">
        
        <div id="tela" class="hidden">{{ @$tela }}</div>

        {!! Form::open(array('url'=>'estoque/entrada/finalizar', 'class'=>'form-horizontal', 'id'=>'form-entrada')) !!} 
            
            {!! Form::hidden('terminal', @$terminal, array('class'=>'form-control empty text-center', 'id'=>'terminal')) !!} 
            {!! Form::hidden('entrada', (mt_rand(0,1000000))*3, array('class'=>'form-control empty text-center', 'id'=>'entrada-numero')) !!} 
            {!! Form::hidden('tela', @$tela, array('class'=>'form-control ',)) !!} 
            
            <h4 class=""><strong>{!! @$legenda !!} </strong></h4>

            <hr>

            @include('pages.partials.alert-danger')

            <div class="row">
                
                <div class="col-xs-6 col-sm-3">
                    
                    <label class="control-label" for="">Itens</label>
                    <h3 id="quantidade-itens-entrada" class="bold">0</h3>

                </div>
        
                <div class="col-xs-6 col-sm-3 pull-right text-right">
                    
                    <label class="control-label" for="">Valor Total</label>
                    <h3 id="valor-total-entrada" class="bold">0,00</h3>

                </div>

            </div> <!-- fim row -->
            
            <div class="tabbable" id="area-formulario"> 

                <ul class="nav nav-tabs navy-bg">
                <li class="active"><a href="#tab1" data-toggle="tab">Passo 1</a></li>
                <li><a href="#tab2" data-toggle="tab">Passo 2</a></li>
                </ul>
                
                <div class="box-body">

                    <div class="tab-content">
                        
                        <div class="tab-pane active" id="tab1">
                            
                            <h4>Itens</h4>
                            <hr>
                            <br>

                            <div class="row">
                                
                                <div class="col-xs-6 col-sm-4">

                                    <div class="control-group">
                                    <label class="control-label" for="">Data</label>
                                    <div class="form-group has-orange">
                                    
                                        <input type="date" class="form-control" name="datanf" id="data-nf" value="{{ date('Y-m-d') }}">

                                    </div>
                                    </div>

                                </div>

                                <div class="col-xs-6 col-sm-4">
                                    
                                    <div class="control-group">
                                    <label class="control-label" for="">NF</label>
                                    <div class="form-group has-orange">
                                    
                                        {!! Form::text('nf', null, array('class'=>'form-control text-center', 'id'=>'nf-entrada')) !!} 
                                                                    
                                    </div>
                                    </div>

                                </div>

                                <div class="col-xs-6 col-sm-4">
                                    
                                    <div class="control-group">
                                    <label class="control-label">Fornecedor</label>
                                        <div class="form-group has-orange">
                                        
                                        <?php
                                            
                                            $escolha = array(
                                                ''=>'Selecione',
                                                );
                                                
                                        ?>
                                        
                                        {!! Form::select('fornecedor', $escolha+$fornecedores, "", array('class' => 'form-control', 'id' => 'fornecedores')) !!} 

                                        </div>
                                    </div>

                                </div>

                            </div>

                            <div class="row">
                                
                                <div class="col-xs-6 col-sm-4">            
                                    <div class="control-group">
                                        <label class="control-label">Produto</label>
                                        <div class="form-group has-orange">
                                            <div class="input-group">
                                                {!! Form::text('referencia', null, array('class'=>'form-control text-center', 'readonly', 'id'=>'referencia')) !!} 
                                                <span class="input-group-btn">
                                                    <button class="btn btn-primary btn-80" style="margin: 0" id="bt-busca-produtos">
                                                        <i class="fa fa-search"></i>
                                                    </button>
                                                    <button class="btn btn-primary" style="margin: 0;margin-left: 4px" id="bt-adicionar-produto" title=" Adicionar"><i class="fa fa-plus"></i></button>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                
                                <!-- Input anterior -->
                                <!--  <div class="col-xs-6 col-sm-4">

                                    <div class="control-group">
                                    <label class="control-label">Referência</label>
                                        <div class="form-group has-orange">
                                        
                                        <?php
                                            
                                            $escolha = array(
                                                ''=>'---------',
                                                );
                                                
                                        ?>
                                        
                                        {!! Form::select('referencia', $escolha+$catalogo, NULL, array('class'=>'form-control', 'id'=>'referencia')) !!} 

                                        </div>
                                    </div>

                                </div>  -->

                                <div class="col-xs-6 col-sm-4">
                                    
                                    <div class="control-group">
                                    <label class="control-label" for="">Quantidade</label>
                                    <div class="form-group has-orange">
                                    
                                        {!! Form::text('quantidade', "1", array('class'=>'form-control empty text-center', 'id'=>'quantidade')) !!} 
                                                                    
                                    </div>
                                    </div>

                                </div>

                                <div class="col-xs-6 col-sm-4">
                                    
                                    <div class="control-group">
                                    <label class="control-label" for="">Valor</label>
                                    <div class="form-group has-orange">
                                    
                                        {!! Form::text('valor', null, array('class'=>'form-control empty text-center', 'id'=>'valor')) !!} 
                                                                    
                                    </div>
                                    </div>

                                </div>

                                <div class="col-xs-6 col-sm-4 hidden">
                                    
                                    <div class="control-group">
                                    <label class="control-label" for="">Unidade</label>
                                    <div class="form-group has-orange">
                                    
                                        {!! Form::hidden('unidade', null, array('class'=>'form-control empty text-center', 'id'=>'unidade')) !!} 
                                                                    
                                    </div>
                                    </div>

                                </div>

                            </div> <!-- fim row -->

                            <div class="row">
                                
                                <div class="col-xs-9 col-sm-10">
                                    
                                    <h4 id="descricao"></h4>

                                    <span class="alinha-esquerda" id="item-quantidade"></span>
                                    <span class="alinha-esquerda" id="item-unidade"></span>
                                    <span class="alinha-esquerda" id="item-valor"></span>
                                    <span class="alinha-esquerda" id="item-calculo"></span>

                                </div>

                                <div class="col-xs-3 col-sm-2 pull-right text-right">

                                    <button class="btn btn-primary btn-sm" id="bt-adicionar-item" title=" Adicionar"><i class="fa fa-plus"></i></button>

                                </div>

                            </div> <!-- fim row -->

                            <div class="row">
                                
                                <div class="col-xs-12">
                                    
                                    <div id="itens"></div>
                                    
                                </div>

                            </div> <!-- fim row -->

                        </div> <!-- fim tab1 -->
                        
                        <div class="tab-pane" id="tab2">
                            
                            <h4>Observações</h4>
                            <hr>

                            <div class="row">

                                <div class="col-xs-6 col-sm-4 pull-right">
                                    
                                    <div class="control-group">
                                    <label class="control-label" for="">Volumes</label>
                                    <div class="form-group has-orange">

                                        {!! Form::text('volumes', null, array('class'=>'form-control empty text-center')) !!} 
                                        
                                    </div>
                                    </div>

                                </div>

                            </div> <!-- fim row -->

                            <div class="row">

                                <div class="box-body">
                                    
                                    <div class="col-sm-12">
                                    
                                        <div class="control-group">
                                            <label class="control-label" for="">Observações</label>
                                            <div class="form-group has-orange">
                                                
                                                {!! Form::textarea('observacoes', null, array('class'=>'form-control empty', 'id'=>'observacoes', 'rows'=>'4')) !!} 
                                            
                                            </div>
                                        </div>

                                    </div>

                                </div>
                                
                            </div> <!-- fim row -->

                        </div> <!-- fim tab2 -->

                    </div> <!-- fim tab-content -->
                
                </div> <!-- fim box-body -->

            </div> <!-- fim tabbable -->
            
            <hr>
            
            <div class="row">
                
                <div class="pull-right col-xs-6 text-right">

                    {!! Form::submit('Finalizar', array('class'=>'btn btn-primary btn-sm', 'id'=>'bt-finalizar')) !!} 
                    <a href="{{ url('estoque') }}" class="btn btn-default btn-sm" title="Cancelar"><i class="fa fa-reply"></i></a>

                </div>

            </div> <!-- fim row -->

        {!! Form::close() !!} 

    </div> <!-- fim box -->

    <!-- Popup - Alerta valor inconsistente -->
    
    <div class="modal" id="modal-valorInconsistente" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        <div class="modal-dialog">
        <div class="modal-content">

            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title">Valor inconsistente</h4>
            </div>
            <div class="modal-body">
            
                <span>Valor não corresponde ao total do entrada!</span>
          
            </div>
          
            <div class="modal-footer">
                
                <div class="row">
                    
                    <div class="col-xs-12">
                    
                        <button type="button" class="btn btn-primary" data-dismiss="modal">OK</button>

                    </div>

                </div>
          
            </div> {{-- fim modal footer --}}
        
        </div><!-- /.modal-content -->
      
      </div><!-- /.modal-dialog -->
    
    </div><!-- /.modal -->
    
    @include('pages.partials.modal-buscar-produtos')
    @include('pages.partials.modal-produtos')

@endsection

@section('scripts')
    
    {!! HTML::script("js/ui/jquery-ui-1.10.4.custom.min.js") !!}
    {!! HTML::script("plugins/select2/select2.min.js") !!} 
    {!! HTML::script("js/jquery.estoque-entradas.js") !!}
    {!! HTML::script("js/jquery.produtos.js") !!}

@stop
