<!DOCTYPE html>
<html lang="pt-br">
<head>

	<meta charset="utf-8">
    <title>{{ env('CLIENTE') }} - App</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <!-- Favicons -->
    <link rel="shortcut icon" href="{!! asset('img/logo-icon-preto.png') !!}" type="image/ico" />
    <link rel="apple-touch-icon-precomposed" sizes="57x57" href="{{ ('img/logo-icon-1.png') }}" />
    <link rel="apple-touch-icon-precomposed" sizes="72x72" href="{{ ('img/logo-icon-2.png') }}" />
    <link rel="apple-touch-icon-precomposed" sizes="114x114" href="http{{ ('app/img/logo-icon-3.png') }}" />
    
    <!-- CSS do Template -->

    {!! HTML::style('js/bootstrap/css/bootstrap.css') !!}
    {!! HTML::style('//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css') !!}
    
    <!-- CSS Material Design -->

    {!! HTML::style('plugins/iCheck/custom.css') !!}
    {!! HTML::style('css/animate.css') !!}
    {!! HTML::style('css/stylesheet.css') !!}

    {!! HTML::script('js/jquery-1.11.2.js') !!}
    {!! HTML::script('js/bootstrap/js/bootstrap.min.js') !!}
    {!! HTML::script('js/jquery.nav.js') !!}
    {!! HTML::script('js/jquery.funcoes.js') !!}
    
    <!-- Scripts do Template -->
    {!! HTML::script('plugins/metisMenu/jquery.metisMenu.js') !!}
    {!! HTML::script('plugins/slimscroll/jquery.slimscroll.min.js') !!}
    
    <!-- Custom and plugin javascript -->
    {!! HTML::script('js/inspinia.js') !!}
    {!! HTML::script('plugins/pace/pace.min.js') !!}
    
    <!-- iCheck -->
    {!! HTML::script('plugins/iCheck/icheck.min.js') !!}
    
</head>
<body style="background-color: #f2f2f2;">
    
    <div class="middle-box loginscreen animated fadeInDown">
        
        <div class="row">
            
            <div class="col-xs-12 text-center">
                
                <img class="img-logo-login" src="{!! asset('img/avatar0.png') !!}" alt="">
                
            </div>

            <div class="clearfix"></div>
            
        </div> <!-- fim row -->

        <hr>
        
        <div class="box-login">
            
            <div class="login-header">
                    
                <h3 class="titulo-login label-success"><i class="fa fa-lock"></i> Login</h3>
                    
            </div> <!-- fim login-header -->

            @if (Session::has('mensagem'))
                
                <?php 

                    $focus = "autoFocus";

                ?>

                <div class="alert alert-warning">

                    <button type="button" class="close" data-dismiss="alert">×</button>
                    <i class="fa fa-exclamation-circle"></i> 
                    {!! Session::get('mensagem') !!}

                </div>

            @endif

            @if ($errors->has())
                                        
                 <?php 

                    $focus = "autoFocus";

                ?>

                <div class="alert alert-dismissable alert-warning">
                    <button type="button" class="close" data-dismiss="alert">×</button>
                    <i class="fa fa-exclamation-circle"></i> 
                    <strong>&nbsp;Opa!</strong> Houve um problema! <br><br>
                    {!! HTML::ul($errors->all()) !!}

                </div>

            @endif            

            {!! Form::open(array('url' => 'login/autorizar', 'id'=>'form-login')) !!}

                <div class="form-group">
                                        
                    <div class="control-group">

                        <label class="control-label">Usuário</label>

                        <div class="form-group has-success">
                            
                            {!! Form::text('login', null, array('class'=>'form-control empty', 'id'=>'', 'autoFocus'=>'')) !!}

                        </div>

                    </div>

                </div>
                
                <div class="form-group">
                                        
                    <div class="control-group">

                        <label class="control-label">Senha</label>

                        <div class="form-group has-success">
                            
                            {!! Form::password('senha', array('class'=>'form-control empty', 'id'=>'')) !!}


                        </div>

                    </div>

                </div>
                
                <div class="text-left">
                     
                    {{-- <a href="#" class=""><small>Forgot password?</small></a> --}}
                    
                    <div class="clearfix"></div>

                </div>

                <div class="pull-left">
                    
                    <div class="form-group">

                        <label class="control-label">
                            
                            <!-- <input type="checkbox" value="" name="" class="i-checks">      -->
                            {!! Form::checkbox('lembrar_me', "1", "", array('class' => 'i-checks')) !!}
                            <span class="m-l-xs" style="cursor:pointer;position:relative;top:-5px;">Lembrar-me</span>

                        </label>

                    </div>

                </div>
                
                <div class="text-right">  
                                        
                    {!! Form::submit('ENTRAR', array('class'=>'btn btn-primary btn-block', 'id'=>'', 'style'=>'margin: 0')) !!}

                </div> <!-- fim footer -->

            {!! Form::close() !!}

        </div>

    </div> <!-- fim container -->

</body>
</html>