@extends('layouts.default')
@section('content')

    <div class="row">
        
        <div class="col-xs-12 col-sm-6">
            
            <div class="btn-group" role="group" aria-label="Default button group">
                <a href="{!! route('os.adicionar', 'technos') !!}" class="btn bg-orange btn-sm" id="" type="button"><i class="fa fa-plus"></i> Adicionar</a>
                <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#modal-filtrar">Filtro</button>
            </div>

        </div>

        <div class="col-xs-12 col-sm-6 top10 pull-right">
            
            <div class="box-tools">
                
                {!! Form::open(array('url'=>'os', 'class'=>'form-horizontal', 'method'=>'get')) !!}

                    <div class="form-group pull-right">

                        <div class="input-group">

                            <input class="form-control input-sm" placeholder="Busca" id="" name="busca" type="text" value="{!! Request::get('busca') !!}" autoFocus>
                            <span class="input-group-btn">
                                <button class="btn btn-warning btn-sm margin-0" type="submit">
                                    <i class="fa fa-search"></i>
                                </button>
                            </span>

                        </div>

                    </div>
                
                {!! Form::close() !!}
            
            </div> <!-- fim box-tools -->
            
        </div>

    </div> <!-- fim row -->

<div class="ibox-content">
    
    <h4 class="margin-0">Ordens de Serviço</h4>

    <div class="hr-line-dashed"></div>

    @if (count($busca) > 0)
        
        <table class="table table-striped">
        
            <thead>
                <tr >
                    <th class="col-xs-2 col-sm-2">
                        Número
                    </th>

                    <th class="col-xs-2 col-sm-2">
                        Data
                    </th>
                    
                    <th class="col-xs-3 col-sm-4 hidden-xs">
                        Cliente
                    </th>

                    <th class="col-xs-2 col-sm-2 text-center">
                        Total
                    </th>

                    <th class="col-xs-3 col-sm-2">
                        
                    </th>
                </tr>
            </thead>
            
            <tbody>

                @foreach ($busca as $linha) 

                <tr>
                    
                    <td class="col-xs-2 col-sm-2 text-center">
                        {!! $linha->id !!}
                    </td>

                    <td class="col-xs-2 col-sm-2 text-center">
                        {!! Util::dataFormat($linha->data) !!}
                    </td>
                    
                    <td class="col-xs-3 col-sm-4 hidden-xs">
                        {!! @$linha->cliente->nome !!}
                    </td>

                    <td class="col-xs-2 col-sm-2 text-right bold">
                        @if ($linha->total == 0.00)
                            -
                        @else 
                            {!! Util::decimal2($linha->total) !!}
                        @endif
                    </td>

                    <td class="col-xs-3 col-sm-2 text-center">
                        
                        <a class="well-sm" href="{!! url("cadastros/servicos/editar") . "/" . $linha->id !!}" id="detalhar" data-id="{!! $linha->id !!}" data-tipo="{!! $linha->tipo !!}" title="Detalhar">
                        <i class="fa fa-list fa-lg"></i>
                        </a>
                        <a class="well-sm" href="{{ route('os.sucesso', ['os'=>$linha->id, 'tipo'=>'technos']) }}" id="imprimir" data-id="{!! $linha->id !!}" data-tipo="{!! $linha->tipo !!}" title="Imprimir">
                        <i class="fa fa-print fa-lg"></i>
                        </a>
                        <a class="well-sm" href="#" id="cancelar" data-id="{!! $linha->id !!}" data-descricao="{!! $linha->descricao !!}" data-tipo="technos" title="Cancelar">
                        <i class="fa fa-trash fa-lg"></i>
                        </a>
                        
                    </td>

                </tr>
                
                @endforeach

            </tbody>

        </table>
        
        <div class="text-center">
            
            {!! $busca->appends([
                'busca'=>request('busca'),
                'filtro'=>request('filtro'),
                'datainicial'=>request('datainicial'),
                'datafinal'=>request('datafinal')
                ])->render() !!}

        </div>
        
        <br>

    @else

        <div class="row">
            
            <div class="text-center">
                Nada encontrado!
            </div>

        </div>

    @endif
                
</div> <!-- fim ibox-content -->
    
    <!-- Modal - Filtrar -->

    <div class="modal" id="modal-filtrar" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'os', 'class'=>'form-horizontal', 'method'=>'get')) !!}
            
        <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title">Filtro</h4>
            </div>
            <div class="modal-body">

                <div class="box-body">
                    
                    <div class="row">
                        
                        <div class="col-sm-6">
                            
                            <div class="control-group">
                                <label class="labels">Data Inicial</label>
                                <div class="form-group">
                                
                                    <input class="form-control empty" name="datainicial" id="data-inicial" type="date" value="<?php 

                                        $ano = date('Y');
                                        $mes = date('m');
                                        $diasmes = cal_days_in_month(CAL_GREGORIAN, $mes, $ano);
                                        $diascorridos = $diasmes - date('d');
                                        $hoje = $diasmes - $diascorridos - 1;
                                        echo date('Y-m-d', strtotime("-$hoje days")); 
                                    ?>">
                                        
                                </div>
                            </div>
                            
                        </div>
                        
                        <div class="col-sm-6">
                            
                            <div class="control-group">
                                <label class="labels">Data Final</label>
                                <div class="form-group">
                            
                                    <input class="form-control empty" name="datafinal" id="data-final" type="date" value="<?php echo date('Y-m-d'); ?>">
                                
                                </div>

                            </div>

                        </div>
                        
                    </div> <!-- fim row -->

                </div> <!-- fim box-body -->
                
                <hr>

                <div class="row">
                    
                    <div class="col-xs-9 pull-right text-right">
                        
                        {!! Form::submit('OK', array('class'=>'btn bg-orange', 'id'=>'bt-ok-filtro')) !!}
                                
                    </div>

                </div> <!-- fim row -->

            </div> <!-- fim modal-body -->
            
        </div> <!-- fim modal-content -->
        </div> <!-- fim modal-dialog -->

        {!! Form::close() !!}

    </div> <!-- fim modal -->
    
    <!-- Modal - Detalhar Itens -->

    <div class="modal" id="modal-detalhar-os" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'os', 'class'=>'form-horizontal', 'method'=>'get')) !!}
            
            <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h4 class="modal-title">Ordem de Serviço <span id="os-id"></span></h4>
                </div>
                <div class="modal-body">
                    
                    <div id="result-itens"></div>

                </div> <!-- fim modal-body -->
                
                <div class="modal-footer">
                    
                    <div class="col-sm-6 text-right pull-right">
                        
                        {!! Form::button("OK", array('class'=>'btn bg-orange', 'data-dismiss'=>'modal')) !!}
                        
                    </div>

                </div> {{-- fim modal-footer --}}
                
            </div> <!-- fim modal-content -->
            </div> <!-- fim modal-dialog -->

        {!! Form::close() !!}

    </div> <!-- fim modal -->
    
    <!-- Modal - Excluir -->

    <div class="modal" id="modal-cancelar-os" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'os/cancelar', 'class'=>'form-horizontal', 'id'=>'form-cancelar')) !!}
                    
        <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title">Cancelar</h4>
            </div>
            <div class="modal-body row">

                <div class="box-body">
                    
                    <div class="col-sm-12">
                        
                        <span>Deseja realmente cancelar a OS <span class="bold" id="item-cancelar"></span>?</span>
                        
                    </div>
                    
                    <br>
                    <br>
                    
                </div>
                
                <hr>

                <div class="box-footer">
                    
                    <div class="pull-right row col-xs-12 col-sm-6 alinha-direita">
                        
                        <div class="pull-right">

                            {!! Form::submit('Sim', array('class'=>'btn bg-orange', 'id'=>'bt-sim-cancelar')) !!}
                            {!! Form::button("Não", array('class'=>'btn btn-default', 'data-dismiss'=>'modal')) !!}

                        </div>
                        
                    </div>

                </div> <!-- fim box-footer -->

            </div> <!-- fim modal-body -->
            
        </div> <!-- fim modal-content -->
        </div> <!-- fim modal-dialog -->

        {!! Form::close() !!}

    </div> <!-- fim modal -->
    
@endsection

@section('scripts')
    
    {!! HTML::script("plugins/select2/select2.min.js") !!} 

    <script>

        jQuery(document).ready(function($) {
    
            $(function(){

                $('select[id=produtos]').select2()
                    .on("change", function(e) {
                      $('#fabricantes option[value=""]').prop('selected', true);
                    });

                $('select[id=fabricantes]').select2()
                    .on("change", function(e) {
                      $('#produtos option[value=""]').prop('selected', true);
                    });
            
            });

            $("#modal-filtrar").on('click', '#bt-filtrar', function(e) {
                e.preventDefault();

                terminal = $("#terminal");
                vendedor = $("#vendedores");
                cliente = $("#clientes");
                datainicial = $("#data-inicial");
                datafinal = $("#data-final")

                if (terminal.val() == "") {

                    alerta2(terminal)
                    exit;

                }

                if (vendedor.val() == "") {

                    alerta3(vendedor)
                    exit;
                    
                }
                
                if (cliente.val() == "") {

                    alerta3(cliente)
                    exit;
                    
                }

                if (datainicial.val() == "") {

                    alerta2(datainicial)
                    exit;
                    
                }

                if (datafinal.val() == "") {

                    alerta2(datafinal)
                    exit;
                    
                }

                $("#form-filtrar").submit();

            });

            $(".table").on('click', '#cancelar', function(e) {
                e.preventDefault();
                
                tipo   = $(this).data('tipo');
                os = $(this).data("id");
                $("#item-cancelar").html(os);
                $("#form-cancelar").attr('action', Config.baseURL + 'os/cancelar/' + os + "/" + tipo)
                $("#modal-cancelar-os").modal("show");

            });

            $(".table").on('click', '#detalhar', function(e) {
                e.preventDefault();
                
                os  = $(this).data('id');
                tipo    = $(this).data('tipo');
                $("#venda-id").html("("+os+")");
                $("#modal-detalhar-os").modal("show");
                $("div .box-loading").show();

                $.get(Config.baseURL + "os/listar-itens", {

                    os:     os,
                    tipo:   tipo

                }, function(data) {

                    $("#result-itens").html(data);
                    $("div .box-loading").hide();
                    
                });

            });
            
        });

    </script>

@endsection
