@extends('layouts.default')
@section('content')

<div class="ibox-content">
    
    <div id="tela" class="hidden">{{ @$tela }}</div>

    {!! Form::open(array('url'=>'pedidos/finalizar', 'class'=>'form-horizontal', 'id'=>'form-pedidos')) !!} 
        
        {!! Form::hidden('terminal', Session::get("terminal"), array('class'=>'form-control empty text-center', 'id'=>'terminal')) !!} 
        {!! Form::hidden('pedido', (mt_rand(0,1000000))*3, array('class'=>'form-control empty text-center', 'id'=>'pedido-numero')) !!} 
        {!! Form::hidden('tela', @$tela, array('class'=>'form-control ',)) !!} 
        
        <h4 class=""><strong>{!! $legenda !!} </strong></h4>

        <hr>
        {{--             
        <div class="alert alert-dismissable alert-danger oculta" id="area-alerta">

            <button type="button" class="close" data-dismiss="alert">×</button>
            <span id="mensagem-alerta" class="oculta"></span>

        </div> --}}

        {{-- <div class="hr-line-dashed"></div> --}}

        @if ($errors->has())

            <div class="alert alert-dismissable alert-danger">
                <button type="button" class="close" data-dismiss="alert">×</button>
                {!! HTML::ul($errors->all()) !!} 

            </div>

        @endif

        <div class="row">
            
            <div class="col-xs-6 col-sm-3">
                
                <label class="control-label" for="">Itens</label>
                <h3 id="quantidade-itens-pedido" class="bold">0</h3>
                
                {!! Form::hidden("itens", null, array('id' => 'itens')) !!} 

            </div>
    
            <div class="col-xs-6 col-sm-3 pull-right text-right">
                
                <label class="control-label" for="">Valor Total</label>
                <h3 id="valor-total-pedido" class="bold">0,00</h3>

            </div>

        </div> <!-- fim row -->

        <div class="tabbable" id="area-formulario"> 

            <ul class="nav nav-tabs navy-bg">
            <li class="active"><a href="#tab1" data-toggle="tab">Passo 1</a></li>
            <li><a href="#tab2" data-toggle="tab">Passo 2</a></li>
            <li><a href="#tab3" data-toggle="tab">Passo 3</a></li>
            </ul>
            
            <div class="box-body">

                <div class="tab-content">
                    
                    <div class="tab-pane active" id="tab1">
                        
                        <div class="row">

                            <div class="col-xs-6">
                                 
                                <h4>Itens</h4>

                            </div>

                            <div class="col-xs-6 hack-top5 text-right">
                                
                                <button class="btn btn-primary" id="bt-orcamento" type="button">Orçamento</button>

                            </div>

                        </div> {{-- fim row --}}

                        <div class="row">
                            
                            <div class="col-xs-6 col-sm-4">
                                
                                <div class="control-group">
                                    <label class="control-label">Cliente</label>
                                    <div class="form-group has-orange">
                                        <div class="input-group">
                                            {!! Form::text('cliente', null, array('class'=>'form-control text-center', 'readonly', 'id'=>'cliente')) !!} 
                                            <span class="input-group-btn">
                                                <button class="btn btn-primary btn-80" style="margin: 0" id="bt-busca-clientes">
                                                    <i class="fa fa-search"></i>
                                                </button>
                                                <button class="btn btn-primary" style="margin: 0;margin-left: 4px" id="bt-adicionar-cliente" title=" Adicionar"><i class="fa fa-plus"></i></button>
                                            </span>
                                        </div>
                                    </div>
                                </div>

                            </div>

                            <div class="col-xs-6 col-sm-4">
                                
                                <div class="form-group has-orange">
                                    <label class="control-label">Nome</label>
                                    <input type="text" id="cliente-nome" class="form-control " readonly="true" value="" />
                                </div>

                            </div>
                            
                        </div>

                        <div class="row">
                            
                            <div class="col-xs-6 col-sm-4">            
                                <div class="control-group">
                                    <label class="control-label">Produto</label>
                                    <div class="form-group has-orange">
                                        <div class="input-group">
                                            {!! Form::text('referencia', null, array('class'=>'form-control text-center', 'readonly', 'id'=>'referencia')) !!} 
                                            <span class="input-group-btn">
                                                <button class="btn btn-primary btn-80" style="margin: 0" id="bt-busca-produtos">
                                                    <i class="fa fa-search"></i>
                                                </button>
                                                <button class="btn btn-primary" style="margin: 0;margin-left: 4px" id="bt-adicionar-produto" title=" Adicionar"><i class="fa fa-plus"></i></button>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-xs-6 col-sm-4">
                                
                                <div class="control-group">
                                  <label class="control-label" for="">Quantidade</label>
                                  <div class="form-group has-orange">
                                  
                                    {!! Form::text('quantidade', "1", array('class'=>'form-control empty text-center', 'id'=>'quantidade')) !!} 
                                                                
                                  </div>
                                </div>

                            </div>

                            <div class="col-xs-6 col-sm-4">
                                
                                <div class="control-group">
                                  <label class="control-label" for="">Valor</label>
                                  <div class="form-group has-orange">
                                  
                                    {!! Form::text('valor', null, array('class'=>'form-control empty text-center', 'id'=>'valor')) !!} 
                                                                
                                  </div>
                                </div>

                            </div>

                            <div class="col-xs-6 col-sm-4 hidden">
                                
                                <div class="control-group">
                                  <label class="control-label" for="">Unidade</label>
                                  <div class="form-group has-orange">
                                  
                                    {!! Form::hidden('unidade', null, array('class'=>'form-control empty text-center', 'id'=>'unidade')) !!} 
                                                                
                                  </div>
                                </div>

                            </div>

                        </div> <!-- fim row -->

                        <div class="row">
                            
                            <div class="col-xs-9 col-sm-10">
                                
                                <h4 id="descricao"></h4>

                                <span class="alinha-esquerda" id="item-quantidade"></span>
                                <span class="alinha-esquerda" id="item-unidade"></span>
                                <span class="alinha-esquerda" id="item-valor"></span>
                                <span class="alinha-esquerda" id="item-calculo"></span>

                            </div>

                            <div class="col-xs-3 col-sm-2 pull-right text-right">

                                <button class="btn btn-primary" id="bt-adicionar-item" title=" Adicionar"><i class="fa fa-plus"></i></button>

                            </div>

                        </div> <!-- fim row -->

                        <div class="row">

                            <div class="col-xs-12">
                                
                                <div id="itens"></div>

                            </div>

                        </div> <!-- fim row -->

                    </div> <!-- fim tab1 -->
                    
                    <div class="tab-pane" id="tab2">
                        
                        <h4>Entrega e Pagamento</h4>
                        <hr>

                        <div class="row">
                            
                            <div class="col-xs-6 col-sm-4">
                                                    
                                <div class="control-group">
                                  <label class="control-label" for="">Entrega</label>
                                  <div class="form-group has-orange">

                                    <input type="date" name="previsaoentrega" class="form-control" id="previsao-entrega" value="{!! date("Y-m-d") !!}">

                                  </div>
                                </div>

                            </div>

                            <div class="col-xs-6 col-sm-4">
                                
                                <div class="control-group">
                                  <label class="control-label" for="">Horário</label>
                                  <div class="form-group has-orange">

                                    <input id="previsao-horario" name="previsaohorario" class="form-control empty" type="time">
                                    
                                    
                                  </div>
                                </div>

                            </div>

                            <div class="col-xs-6 col-sm-4">
                                
                                <div class="control-group">
                                  <label class="control-label">Forma de Pagamento</label>
                                    <div class="form-group has-orange">
                                    
                                    <?php
                                        
                                        $formaspagamento = array(
                                            ''=>'Selecione',
                                            'Dinheiro'=>'Dinheiro',
                                            'Dinheiro/Cartão'=>'Dinheiro/Cartão',
                                            'Cartão'=>'Cartão',
                                            'Promissória'=>'Promissória',
                                            );
                                            
                                    ?>
                                    
                                    {!! Form::select('formapagamento', $formaspagamento, "", array('class' => 'form-control', 'id' => 'forma-pagamento')) !!} 

                                    </div>
                                </div>

                            </div>

                        </div> <!-- fim row -->

                        <div class="row">
                            
                            <div class="col-sm-12">
                                
                                <div class="tabbable" id="area-pagamento"> 

                                    <ul class="nav nav-tabs navy-bg">
                                    <li class="active"><a href="#pag1" data-toggle="tab" data-pag="Avista">A vista/Cartão</a></li>
                                    <li><a href="#pag2" data-toggle="tab" data-pag="Promissória">Promissória</a></li>
                                    </ul>

                                    <div class="tab-content">
                                    <div class="tab-pane active" id="pag1">
                                        
                                        <div class="box-body">

                                            <div class="row">
                                                
                                                <div class="col-xs-6 col-sm-4 pull-right text-right" id="area-troco">
                                                    
                                                    <label class="control-label" for="">Troco</label>
                                                    <h3 id="val-troco"></h3>

                                                </div>

                                                <div class="col-xs-6 col-sm-4 pull-right text-right" id="area-parcelas">
                                                    
                                                    <label class="control-label" for="">Valor da Parcela</label>
                                                    <h3 id="val-parcelamento"></h3>

                                                </div>

                                            </div> <!-- fim row -->

                                            <div class="row">
                                
                                                <div class="col-xs-12">
                                                
                                                    <h4 class="">Valores</h4>
                                                    <div class="clearfix borda-bottom"></div>
                                                    
                                                </div>
                                                
                                            </div> <!-- fim row -->
                                            
                                            <br>

                                            <div class="row">
                                                
                                                <div class="col-xs-6 col-sm-3">
                                                    
                                                    <div class="control-group">
                                                      <label class="control-label" for="">Dinheiro</label>
                                                      <div class="form-group has-orange">
                                                        
                                                        {!! Form::text('valordinheiro', "0,00", array('class'=>'form-control empty text-center', 'id'=>'val-dinheiro')) !!} 
                                                                                                                    
                                                      </div>
                                                    </div>

                                                </div>

                                                <div class="col-xs-6 col-sm-3">
                                                    
                                                    <div class="control-group">
                                                      <label class="control-label" for="">Cartão</label>
                                                      <div class="form-group has-orange">
                                                        
                                                        {!! Form::text('valorcartao', "0,00", array('class'=>'form-control empty text-center', 'id'=>'val-cartao')) !!} 
                                                        
                                                      </div>
                                                    </div>

                                                </div>

                                                <div class="col-xs-6 col-sm-3">
                                                    
                                                    <div class="control-group">
                                                      <label class="control-label" for="">Parcelas</label>
                                                      <div class="form-group has-orange">
                                                        
                                                        <input type="number" name="parcelas" class="form-control empry text-center" id="parcelas" value="1">

                                                      </div>
                                                    </div>

                                                </div>

                                                <div class="col-xs-6 col-sm-3">
                                                     
                                                    <div class="control-group">
                                                      <label class="control-label">Bandeira/Cartão</label>
                                                        <div class="form-group has-orange">
                                                        <?php 

                                                            $escolha = array(
                                                                'Visa'=>'Visa',
                                                                'Master'=>'Master',
                                                                'Hiper'=>'Hiper',
                                                                'Pagseguro'=>'Pagseguro',
                                                                'Elo'=>'Elo',
                                                                );

                                                        ?>

                                                        {!! Form::select('bandeira', $escolha, null, array('class' => 'form-control', 'id' => '')) !!} 


                                                        </div>
                                                    </div>

                                                </div>

                                            </div> <!-- fim row -->
                                            
                                        </div> <!-- fim box-body -->

                                    </div>
                                    <div class="tab-pane" id="pag2">

                                        <div class="box-body">

                                            <div class="row">
                                                
                                                <div class="col-xs-6 col-sm-4 pull-right text-right" id="area-parcelas-promissoria">
                                                    
                                                    <label class="control-label" for="">Valor da Parcela</label>
                                                    <h3 id="val-parcelamento-promissoria">0,00</h3>

                                                </div>

                                            </div> <!-- fim row -->

                                            <div class="row">
                                
                                                <div class="col-xs-12">
                                                
                                                    <h4 class="">Valores</h4>
                                                    <div class="clearfix borda-bottom"></div>
                                                    
                                                </div>
                                                
                                            </div> <!-- fim row -->
                                            
                                            <br>

                                            <div class="row">
                                                
                                                <div class="col-xs-6 col-sm-3">
                                                    
                                                    <div class="control-group">
                                                      <label class="control-label" for="">Entrada</label>
                                                      <div class="form-group has-orange">
                                                        
                                                        {!! Form::text('entradapromissoria', "", array('class'=>'form-control empty text-center', 'id'=>'val-entrada-dinheiro')) !!} 
                                                                                                                    
                                                      </div>
                                                    </div>

                                                </div>

                                                <div class="col-xs-6 col-sm-3">
                                                    
                                                    <div class="control-group">
                                                      <label class="control-label" for="">Cartão</label>
                                                      <div class="form-group has-orange">
                                                        
                                                        {!! Form::text('entradapromissoriacartao', "", array('class'=>'form-control empty text-center', 'id'=>'val-entrada-cartao')) !!} 
                                                        
                                                      </div>
                                                    </div>

                                                </div>

                                                <div class="col-xs-6 col-sm-3">
                                                    
                                                    <div class="control-group">
                                                      <label class="control-label" for="">Parcelas</label>
                                                      <div class="form-group has-orange">
                                                        
                                                        <input type="number" name="parcelaspromissoria" class="form-control empry text-center" id="parcelas-promissoria" value="1">
                                                        
                                                      </div>
                                                    </div>

                                                </div>

                                                <div class="col-xs-6 col-sm-3">
                                                    
                                                    <div class="control-group">
                                                      <label class="control-label">Bandeira/Cartão</label>
                                                        <div class="form-group has-orange">
                                                        <?php 

                                                            $escolha = array(
                                                                'Visa'=>'Visa',
                                                                'Master'=>'Master',
                                                                'Hiper'=>'Hiper',
                                                                'Pagseguro'=>'Pagseguro',
                                                                'Elo'=>'Elo',
                                                                );

                                                        ?>

                                                        {!! Form::select('bandeirapromissoria', $escolha, null, array('class' => 'form-control', 'id' => '')) !!} 

                                                        </div>
                                                    </div>

                                                </div>

                                            </div> <!-- fim row -->
                                            
                                        </div> <!-- fim box-body -->

                                    </div> <!-- fim tab-pane -->
                                    </div> <!-- fim tab-content -->

                                </div> <!-- fim tabbable -->

                            </div>

                        </div> <!-- fim row -->

                        <div class="row">

                            <div class="box-body">
                                
                                <div class="col-sm-12">
                                
                                    <div class="control-group">
                                        <label class="control-label" for="">Observações</label>
                                        <div class="form-group has-orange">
                                            
                                            {!! Form::textarea('observacoes', null, array('class'=>'form-control empty', 'id'=>'observacoes', 'rows'=>'4')) !!} 
                                        
                                        </div>
                                    </div>

                                </div>

                            </div>
                            
                        </div> <!-- fim row -->

                    </div> <!-- fim tab2 -->

                    <div class="tab-pane" id="tab3">
                        
                        <h4>Desconto</h4>
                        <hr>

                        <div class="row">

                            <div class="col-xs-6 col-sm-4">
                                
                                <div class="control-group">
                                  <label class="control-label" for="">Desconto</label>
                                  <div class="form-group has-orange">

                                    {!! Form::text('desconto', null, array('class'=>'form-control empty text-center', 'id'=>'desconto')) !!} 
                                    
                                  </div>
                                </div>

                            </div>

                        </div>

                    </div> <!-- fim tab3 -->

                </div> <!-- fim tab-content -->
            
            </div> <!-- fim box-body -->

        </div> <!-- fim tabbable -->
        
        <div class="hr-line-dashed"></div>

        <div class="row">
            
            <div class="pull-right col-xs-6 text-right">

                {!! Form::submit('Finalizar', array('class'=>'btn btn-primary', 'id'=>'bt-finalizar')) !!} 
                <a href="{{ url('pedidos') }}" class="btn btn-default" title="Cancelar"><i class="fa fa-reply"></i></a>

            </div>

        </div> <!-- fim row -->

    {!! Form::close() !!} 

</div> <!-- fim box -->

    <!-- Popup - Alerta valor inconsistente -->
    
    <div class="modal" id="modal-valorInconsistente" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        <div class="modal-dialog">
        <div class="modal-content">

            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title">Valor inconsistente</h4>
            </div>
            <div class="modal-body">
            
                <span>Valor não corresponde ao total do pedido!</span>
          
            </div>
          
            <div class="modal-footer">
                
                <div class="row">
                    
                    <div class="col-xs-12">
                    
                        <button type="button" class="btn btn-primary" data-dismiss="modal">OK</button>
                    
                    </div>

                </div>
          
            </div> {{-- fim modal footer --}}
        
        </div><!-- /.modal-content -->
      
      </div><!-- /.modal-dialog -->
    
    </div><!-- /.modal -->

    @include('pages.partials.modal-buscar-produtos')
    @include('pages.partials.modal-produtos')

    @include('pages.partials.modal-buscar-clientes')
    @include('pages.partials.modal-clientes')

    <!-- Modal - Consulta Orçamento -->

    <div class="modal" id="modal-consulta-orcamento" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'vendas2', 'class'=>'form-inline', 'id'=>'')) !!}
            
        <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title">Consulta Orçamento</h4>
            </div>
            <div class="modal-body">

                <div class="box-body">
                    
                    <div class="row">
                        
                        <div class="col-xs-7 col-sm-5 centro">
                            
                            <div class="control-group">
                              <label class="control-label" for="">Pedido</label>
                              <div class="form-group has-orange">
                              
                                {!! Form::text('pedidoorcamento', null, array('class'=>'form-control empty text-center', 'id'=>'pedido-orcamento')) !!}
                                                            
                              </div>
                            </div>
                            
                        </div>

                    </div> <!-- fim row -->
                    
                </div> <!-- fim box-body -->
                
                <hr>

                <div class="box-footer">
                    
                    <div class="col-sm-6 row pull-right">
                        
                        <div class="pull-right">
                        
                            {!! Form::submit('OK', array('class'=>'btn bg-orange', 'id'=>'bt-consulta-orcamento')) !!}
                                
                        </div>
                        
                    </div>

                    <div class="clearfix"></div>

                </div> <!-- fim box-footer -->

            </div> <!-- fim modal-body -->
            
        </div> <!-- fim modal-content -->
        </div> <!-- fim modal-dialog -->

        {!! Form::close() !!}

    </div> <!-- fim modal -->
            
@endsection

@section('scripts')
    
    {!! HTML::script("js/ui/jquery-ui-1.10.4.custom.min.js") !!}
    {!! HTML::script("plugins/select2/select2.min.js") !!} 
    {!! HTML::script("js/jquery.pedidos.js") !!} 
    {!! HTML::script("js/jquery.pedidos-pagamento.js") !!} 
    {!! HTML::script("js/jquery.clientes.js") !!}
    {!! HTML::script("js/jquery.produtos.js") !!}

@endsection
