@extends('layouts.default')
@section('content')
	
	<div class="row">
		
        <div class="col-xs-6">
            
            <label for="" class="labels">Pedido</label>
            <br>
            <h3 class="bold">{!! $pedido->id !!} </h3>
        
        </div>

        <div class="col-xs-6 text-right">
            
            <label class="control-label" for="">Valor Total</label>
            <h3 class="bold">{!! Util::decimal2($pedido->valorliquido) !!} </span>

        </div>
        
    </div> <!-- fim row -->

    <div class="borda-bottom"></div>

	<div class="row">
		
        <div class="col-xs-12 text-center">
            
            <span>Pedido finalizado com sucesso!</span>
        
        </div>

	</div> <!-- fim row -->

    <div class="col-xs-12 centro text-right">
        
        <input class="btn btn-primary" id="bt-imprimir" type="button" value="Imprimir">
        <input class="btn btn-primary" id="bt-voltar" type="button" value="Fechar">

    </div>
	
	<div class="borda-bottom"></div>

	<br>

	<div id="result" class="col-xs-10 centro">
        
        <div class="col-xs-12" id="area-itens-container">  
            
            <div id="area-itens">
                
                @if ($pedido->itens->count() > 0) 

                    <div class="row">
                        
                        <h6 class="text-center small">DOCUMENTO NÃO FISCAL</h6>
                        
                        <div class="col-xs-6">
                            
                            <span class="small">PEDIDO&nbsp;<b>{!! $pedido->id !!}</b></span>

                        </div>

                        <div class="col-xs-6 text-right">
                            
                            <span class="small">{!! date("d/m/Y H:i") !!}</span>

                        </div>

                    </div>

                    <div class="row" id="cabecalho-listagem">
                        
                        <div class="col-xs-3 top8" style="padding: 0 10px">
                                
                            <div class="text-center"> 
                                
                                @if (File::exists(public_path('/img/logo-oficial-1.png'))) 
                                    <?php $logo = asset('/img/logo-oficial-1.png'); ?>
                                @else 
                                    <?php $logo = asset('/img/logo-114x114.png'); ?>
                                @endif

                                <img width="57px" src="{!! $logo !!}">

                            </div>

                        </div>

                        <div class="col-xs-9 top10 text-center">
                            
                            <div class="" style="font-size: 10px">

                                <div class='small'>

                                    {!! nl2br($empresa->descricao) !!}
        
                                </div>

                            </div>

                        </div>
                    
                    </div> {{-- fim row, cabecalho-listagem --}}
                    
                    <hr>

                    <div class="row">
                        
                        <div class="col-sm-12">
                            
                            <h3 class="small">CLIENTE</h3>
                            <span class="small">{!! @$pedido->cliente->nome !!} </span>

                        </div>

                    </div> <!-- fim row -->
                    
                    @if (!empty($pedido->cliente->endereco) && !empty($pedido->cliente->bairro))

                        <div class="row">
                            
                            <div class="col-sm-6">
                                
                                <span class="small ">{!! $pedido->cliente->endereco . " - " . $pedido->cliente->bairro !!} </span>

                            </div>

                        </div> {{-- fim row --}}

                    @endif
                        
                    @if (!empty($pedido->telefone) && !empty($pedido->celular))

                        <div class="row">
                            
                            <div class="col-xs-6">
                                
                                <span class="small">{!! $pedido->cliente->telefone . " / " !!} </span>
                                <span class="small">{!! $pedido->cliente->celular !!} </span>


                            </div>

                            <div class="col-xs-6">
                                
                                
                            </div>

                        </div> {{-- fim row --}}

                    @endif 

                    @if (!empty($pedido->cliente->rgie) && !empty($pedido->cliente->cpfcnpj))

                        <div class="row">
                            
                            <div class="col-xs-6">
                                
                                <span class="small ">RG: {!! $pedido->cliente->rgie !!} </span>

                            </div>

                            <div class="col-xs-6">
                                
                                <span class="small ">CPF/CNPJ: {!! $pedido->cliente->cpfcnpj !!} </span>

                            </div>

                        </div> {{-- fim row --}}

                    @endif
                
                {{-- <br> --}}

                <div class="row">
                    
                    <div class="col-sm-12">
                        
                        <h3 class="small">DESCRIÇÃO</h3>

                    </div>

                </div> <!-- fim row -->

                @foreach ($pedido->itens as $item) 
                        
                    <div class="row">

                        <div id="box-itens-linha" data-item="" data-id="{!! $item->id !!} ">
                            
                            <div class="col-xs-8">
                                
                                <span class="small" id="contador" style="font-weight: bold"></span>
                                <span class="small " id="linha-descricao" style="font-size: 10px">
                                    {!! $item->referencia !!}  - {!! $item->descricao !!} 
                                </span>

                            </div>
                            
                            <div class="col-xs-4 direita alinha-direita" style="margin-left: -100px">
                                
                                <span id="" class="small text-right " style="font-size: 10px">{!! Util::decimal0($item->quantidade) !!}  {!! " " . $item->unidade . " x " !!} {!! Util::decimal2($item->valor) !!} </span>
                                <h3 id="" class="small bold descricao-texto-sub-destaque">{!! Util::decimal2($item->subtotal) !!}</h3>

                            </div>
                            
                        </div> <!-- fim box-itens-linha -->
                    
                    </div>

                @endforeach

                @endif
                
                <div class="row">
                    
                    <div class="col-xs-8">
                        
                        <h3 class="small">OBSERVAÇÃO</h3>
                        <span class="small">{!! $pedido->observacoes !!} </span>

                    </div>

                    <div class="col-xs-4 text-right">
                        
                        <label class="small clearfix">Total</label>
                        <h3 class="small bold descricao-texto-sub-destaque">{!! Util::decimal2($pedido->valorliquido) !!}</h3>

                    </div>

                </div> <!-- fim row -->

                <div class="row">
                    
                    <div class="col-xs-8">

                        <h3 class="small">ENTREGA</h3>
                        <span class="small">{!! Util::dataFormat($pedido->previsaoentrega) !!} 
                        @if (!empty($pedido->previsaohorario))
                            {!! " às " . $pedido->previsaohorario . "h" !!}
                        @endif
                        </span>

                    </div>

                </div> <!-- fim row -->

                <div class="col-sm-12">
                
                    {{-- <hr> --}}
        
                </div>

                <div class="col-sm-12 text-center">
                        
                    <span class="" style="font-size: 10px">

                        <small>

                            NOSSA LOJA:
                            <br>
                            {{ $empresa->logradouro }} - {{ $empresa->bairro }}
                            <br>
                            {{ $empresa->pontoreferencia }}
                            <br>
                            Telefones: {{ $empresa->telefone }} | {{ $empresa->celular }} <i class="fa fa-phone"></i>

                            <br>
                            <span class="glyphicons glyphicons-wifi-alt"></span> 
                            
                            {{ $empresa->site }}
                            <br>
                            Redes sociais:
                            <br>
                            <i class="fa fa-facebook"></i> 
                            {{ $empresa->redesocial1 }}
                            <br>
                            <i class="fa fa-instagram"></i> 
                            {{ $empresa->redesocial2 }}
                            <br>
                            <i class="fa fa-google-plus"></i> 
                            {{ $empresa->redesocial3 }}
                            <br>

                        </small>

                    </span>

                </div>
                
                <br>

                <div class="col-sm-12">
                
                    <hr>
        
                </div>

                <div class="col-sm-12 text-right">
                
                    <span class="" style="font-size: 8px">

                        <small>
                            
                            WebInteractive App
                            <br>

                            Desenvolvido por INFO1 Atual
                            <br>
                            <i class="fa fa-phone"></i> 81 99753-0726
                            <br>
                            <span class="glyphicons glyphicons-wifi-alt"></span> 
                            
                        </small>

                    </span>

                </div>

            </div> <!-- fim area-itens -->

        </div>

        <div class="col-xs-6" id="area-clone-container">

            <div class="clone oculta"></div>

        </div> 

    </div> {{-- fim result --}}
	
@stop

@section('scripts')
	
	{!! HTML::script("js/jquery.printThis.js") !!} 

    @if (configuracoes('DuasViasPedido'))
    
        <script>

            $( "#area-itens" ).clone().appendTo( ".clone" ).append('<small style="font-size: 10px">Via do Cliente</small>')

            $("#bt-imprimir").click(function() {
                
                $("#area-clone-container").css('border-left', 'solid 1px #f2f2f2');
                $(".clone").show();
                $("#area-itens-container").removeClass('col-xs-12').addClass('col-xs-6');

                setTimeout(function() {

                    $("[id=result]").printThis({
                        debug: false,              
                        importCSS: true,           
                        printContainer: false,      
                        loadCSS: "../css/stylesheet.css", 
                        pageTitle: "Pedido (Impressão)",            
                        removeInline: false
                        
                    });

                }, 200);

            });

            $("#bt-voltar").click(function() {
                
                window.location.href = Config.baseURL + "consultas";
                
            });

        </script>

    @else

        <script>
        
            $("#bt-imprimir").click(function() {
                
                setTimeout(function() {

                    $("[id=result]").printThis({
                        debug: false,              
                        importCSS: true,           
                        printContainer: false,      
                        loadCSS: "../css/stylesheet.css", 
                        pageTitle: "Pedido (Impressão)",            
                        removeInline: false
                        
                    });

                }, 200);

            });

            $("#bt-voltar").click(function() {
                
                window.location.href = Config.baseURL + "consultas";
                
            });

        </script>
        
    @endif    

@stop
